<?php
error_reporting(0);
if (!isset($_SESSION)) session_start();
$path = str_replace("/","",dirname(__FILE__));
if(!isset($_SESSION[$path]))
$_SESSION[$path] = $path;
if(!isset($_SESSION[$_SESSION[$path].'adminSessionSalt']))
$_SESSION[$_SESSION[$path].'adminSessionSalt']= uniqid('admin');

include '../config/config.php';

include '../includes/functions.php';

include "../includes/captcha/captcha.php";

$error = false;

$valid_captcha = false;

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if (captchaAdminLoginStatus()) 
{
	if(isset($_POST["captcha_code"]) && trim($_POST["captcha_code"])!="") 
	{
		if (trim($_POST["captcha_code"])==$_SESSION['captchaAdmin']['code']) 
		{
			$valid_captcha = true;
		} 
		else 
		{
			$error = true;
		} 
	}
}

if (isset($_POST['username']) && isset($_POST['password']) && isset($_POST['submit']) && !$error) 
{
	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true; 

	if (authenticate(trim($_POST['username']) , trim($_POST['password']))) 
	{
		$_SESSION[$_SESSION[$_SESSION[$path].'adminSessionSalt']] = true;	
	}
	else 
	{
		$error = true;
	}
} 
else 
{
	$error = true;	
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;

$_SESSION['captchaAdmin'] = simple_php_captcha();

if (isset($_SESSION[$_SESSION[$_SESSION[$path].'adminSessionSalt']])) {
header('Location: ./stats.php');
exit();
}

?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no" />
<meta name="HandheldFriendly" content="true" />
<link rel="icon" href="<?php echo(rootPath()); ?>/static/images/<?php echo(getFavicon()); ?>" />
<link rel="shortcut icon" href="<?php echo(rootPath()); ?>/static/images/<?php echo(getFavicon()); ?>" />
<link type="text/css" rel="stylesheet" href="<?php echo(rootpath()); ?>/admin/style/css/bootstrap.min.css">
<link type="text/css" rel="stylesheet" href="<?php echo(rootpath()); ?>/admin/style/css/sb-admin.css">
<link type="text/css" rel="stylesheet" href="<?php echo(rootpath()); ?>/admin/style/css/font-awesome.min.css">
<meta name="robots" content="noindex, nofollow">
<title>Login <?php echo (getMetaTitle()) ?></title>
</head>
	
<body class="admin-login">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header login-header">
				<a href="http://nexthon.com"><img alt="nexthon.com" src="<?php echo(rootPath()); ?>/admin/style/images/n2.png"/></a>
			</div>
			<div class="modal-body">
				<?php if (isset($_POST['username']) && !$valid_captcha && isset($_POST['captcha_code'])) { ?>
				
				<div class="form-group mrg-btm-min">
					<div class="alert alert-danger"><i class="fa fa-times"></i> Invalid Captcha Can't Login.</div>
				</div>
				
				<?php } else if (isset($_POST['username']) && $error && $valid_captcha && isset($_POST['captcha_code'])) { ?>
				<div class="form-group mrg-btm-min">
					<div class="alert alert-danger"><i class="fa fa-times"></i> Invalid Username or Password Can't Login.</div>
				</div>
				<?php } else if (isset($_POST['username']) && $error) { ?>
				
				<div class="form-group mrg-btm-min">
					<div class="alert alert-danger"><i class="fa fa-times"></i> Invalid Username or Password Can't Login.</div>
				</div>
				
				<?php } ?>
				<form action="index.php" method="post">
					<div class="input-group mrg-btm-max">
						<span class="input-group-addon"><i class="fa fa-user"></i></span>
						<input type="text" class="form-control input-lg" name="username" placeholder="Enter username" required>
					</div>
					<div class="input-group mrg-btm-max">
						<span class="input-group-addon"><i class="fa fa-lock"></i></span>
						<input type="password" class="form-control input-lg" name="password" autocomplete="off" placeholder="Enter password" required>
					</div>
					<?php if (captchaAdminLoginStatus()) { ?>
						<div class="col-xs-6 mrg-btm-min pull-left">
							<img class="img-responsive" src="<?php echo(rootPath(). $_SESSION['captchaAdmin']['image_src']) ?>"/>
						</div>
						<div style="margin-top: 8px;" class="input-group col-xs-6 pull-right">
							<span class="input-group-addon"><i class="fa fa-eye-slash"></i></span>
							<input type="text" class="form-control input-lg" name="captcha_code" placeholder="Enter Captcha Code" required>
						</div>
						<div class="clearfix"></div>
					<?php } ?>
					<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
					<div class="form-group">
						<div class="modal-footer row">
							<div class="col-xs-6 pad-min">
								<button type="submit" name="submit" class="btn btn-success login-btn"><i class="fa fa-chevron-right"></i> Login</button>
							</div>
							<div class="col-xs-6 pad-min">
								<a href="reset.php" class="btn btn-primary reset-btn">Reset ?</a>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>	
	</div>  
</body>
</html>