<?php
if (!isset($_SESSION)) session_start();
	
	$inactive = 30;
	
if (isset($_SESSION["timeout"])) {
	$sessionTTL = time() - $_SESSION["timeout"];
	
	if ($sessionTTL > $inactive) {
		unset($_SESSION['processed']);
		
		unset($_SESSION["timeout"]);
		
		session_destroy();
		
		session_start();
	}
}

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);
	
$_SESSION["timeout"] = time();

include '../config/config.php';

include '../includes/mail.php';

include '../includes/functions.php';

if($_POST["email"]!="") {  

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;
	
	$email = $_POST["email"];
	
	if(!checkEmail($email)) {
		
		$error ="Invalid Email Address";
		
	}
	
	if(!emailExists($email)) {
		
		$error ="Email Doesn't Exists";
		
	}
} else if($_POST["username"]!="") {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;
	
	$query = mysql_fetch_array(mysqlQuery("SELECT `username`, `email` FROM `settings`"));
	
	$username = $query['username'];
	
	$email = $query['email'];
	
	
	if($_POST['username']!=$username) {
		
		$error ="Username Doesn't Exists";
		
	}
}
	if(emailExists($email,0) && $error=="") {
		
		sendEmail(getAdminEmail(),"noreply@" . getDomain(rootPath()),"Password Reset","Password Reset Request - " . getMetaTitle(),"Please click on the link below to reset your password <br/> <a href='". rootPath() . "/admin/reset.php?rid=" . sencrypt($email) . "'>" . rootPath() . "/admin/reset.php?rid=" . sencrypt($email) . "</a>");
	
	}
  
$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no" />
<meta name="HandheldFriendly" content="true" />
<link rel="icon" href="<?php echo(rootPath()); ?>/static/images/<?php echo(getFavicon()); ?>" />
<link rel="shortcut icon" href="<?php echo(rootPath()); ?>/static/images/<?php echo(getFavicon()); ?>" />
<link type="text/css" rel="stylesheet" href="<?php echo(rootpath()); ?>/admin/style/css/bootstrap.min.css">
<link type="text/css" rel="stylesheet" href="<?php echo(rootpath()); ?>/admin/style/css/sb-admin.css">
<link type="text/css" rel="stylesheet" href="<?php echo(rootpath()); ?>/admin/style/css/font-awesome.min.css">
<meta name="robots" content="noindex, nofollow">
<title>Login <?php echo (getMetaTitle()) ?></title>
</head>
	<title>Reset Password <?php echo(getMetaTitle()) ?></title>
</head>

<body class="admin-login">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header login-header">
				<a href="http://nexthon.com"><img alt="nexthon.com" src="<?php echo(rootPath()); ?>/admin/style/images/n2.png"/></a>
			</div>
			
			<div class="modal-body">
				<?php if($error!="") { ?>
					<div class="alert alert-danger"><i class="fa fa-times"></i> <?php echo($error); ?></div>
					
					<?php } else {
						
						if(isset($_GET['rid']) && $_GET['rid']!="") {
							
							$email = sdecrypt($_GET['rid']);
							
							if(emailExists($email)) {
								
								if (!isset($_SESSION['processed'])) {
									
									resetPass($email);
									
									$_SESSION['processed'] = true;
									
								}
								?>
							<div class="alert alert-success"><i class="fa fa-check"></i> New Password Generated And Emailed to You!</div>
							
							<?php } else { ?>
							
								<div class="alert alert-danger"><i class="fa fa-times"></i> Request Session Timed Out!</div>
							
							<?php } } else if($_POST['email'] || $_POST['username']) { ?>
							
							<div class="alert alert-success"><i class="fa fa-check"></i> Reset Instructions Sent to Your Email Address!</div>
						
						<?php } } ?>
						
				<form action="reset.php" method="post">
					<div class="input-group mrg-btm-max">
						<span class="input-group-addon"><i class="fa fa-user"></i></span>
						<input type="email" class="form-control input-lg" name="email" placeholder="Enter Email">
					</div>
					
					<h3 class="or-txt">OR</h3>
					<div class="input-group mrg-btm-normal">
						<span class="input-group-addon"><i class="fa fa-user"></i></span>
						<input type="text" class="form-control input-lg" name="username" placeholder="Enter Username">
					</div>
					
					<div class="form-group">
						<div class="modal-footer row">
							<div class="col-xs-6 pad-min">
								<a href="index.php" class="btn btn-primary reset-btn"><i class="fa fa-chevron-left"></i>&nbsp;Cancel</a>
							</div>
							<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
							<div class="col-xs-6 pad-min">
								<button type="submit" name="submit" class="btn btn-success login-btn">Reset &nbsp;<i class="fa fa-chevron-right"></i></button>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</body>

</html>