<?php
if (!isset($_SESSION)) session_start();

require "config/config.php";

include 'includes/mail.php';

include 'includes/PHPmailer/PHPMailerAutoload.php';

require "includes/functions.php";

require 'includes/NEXstats.php';

include "includes/captcha/captcha.php";

$adsInfo = getAdsInfo();

$socialInfo = getSocialInfo();

$success = false;

$error   = false;

$csrfVariable = 'csrf_main' . basename($_SERVER['PHP_SELF']);

if (isset($_POST["submit"])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	$name = trim($_POST["name"]);
	
	$email = trim($_POST["email"]);
	
	$message = $_POST["message"];
	
	$subject = trim($_POST['subject']);
	
	if (captchaContactStatus()) {
	
		if (isset($_POST["captcha_code"]) && trim($_POST["captcha_code"]) != "") {
		
			if (trim($_POST["captcha_code"]) != $_SESSION['captchaContact']['code'])
				$error = $language['incorrect_answer'];
			else
				sendEmail(getAdminEmail(), $email, $name, $subject, $message);
		
		} else {
		
			$error = true;
		
		}
		
	} else {
	
	if (!$error)
		sendEmail(getAdminEmail(), $email, $name, $subject, $message);
	
	}

}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;

$_SESSION['captchaContact'] = simple_php_captcha();

include "includes/header.php";
?>

	<title><?php echo ($language['contact_us']); ?></title>
	<meta name="description" content="<?php echo ($language['contact_meta_description']); ?>" />
	<meta name="keywords" content="<?php echo ($language['contact_meta_keywords']); ?>" />
	<meta property="og:title" content="<?php echo ($language['contact_us']); ?>"/>
	<meta property="og:type" content="website"/>
	<meta property="og:url" content="<?php echo(rootPath() . "/contact"); ?>"/>
	<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
	<meta property="og:description" content="<?php echo ($language['contact_meta_description']); ?>"/>

<?php
include "includes/header_under.php";
?>

<div class="clearfix"></div>
	<div class="container container-pad">
		<div class="row">
			<?php if(isRTLLayout()) { ?>
			<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 col-lg-push-4">
			<?php } else { ?>
			<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
			<?php } ?>
				<div class="panel panel-default">
					<div class="panel-heading title-of-table table-title">
						<i class="fa fa-envelope"></i>
						<?php echo($language['contact_us']); ?>
					</div>
					<div class="panel-body">
						<div class="col-md-12">
							<?php if (isset($_POST["name"]) && !$error) { ?>
							<div class="alert alert-success alert-dismissable">
								<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
								<span class="glyphicon glyphicon-send"></span>
								<?php echo($language['sent_message']); ?>
							</div>
							<?php } ?>
							<form role="form" action="contact.php" method="POST">
								<div class="form-group">
									<?php if(isRTLLayout()) { ?>
									<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5">
									<?php } else { ?>
									<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9">
									<?php } ?>
										<label>
											<?php echo($language['your_name']); ?>
										</label>
										<input type="text" class="form-control" name="name" placeholder="<?php echo($language['enter_your_name']); ?>" value="<?php echo(xssClean($name)); ?>" required> 
									</div>
								</div>
								<div class="form-group">
									<?php if(isRTLLayout()) { ?>
									<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 col-lg-push-3 col-md-push-5 col-sm-push-5 contact-margin-top">
									<?php } else { ?>
									<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 contact-margin-top">
									<?php } ?>
										<label>
											<?php echo($language['your_email']); ?>
										</label>
										<input type="email" class="form-control" name="email" placeholder="<?php echo($language['enter_your_email_address']); ?>" value="<?php echo(xssClean($email)); ?>" required>
									</div>
								</div>
								<div class="form-group">
									<?php if(isRTLLayout()) { ?>
									<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 col-lg-push-3 col-md-push-5 col-sm-push-5 contact-margin-top">
									<?php } else { ?>
									<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 contact-margin-top">
									<?php } ?>
									<label>
										<?php echo($language['subject']); ?>
									</label>
										<input type="text" class="form-control" name="subject" placeholder="<?php echo($language['enter_subject']); ?>" value="<?php echo(xssClean($subject)); ?>" required>
									</div>
								</div>
								<div class="form-group">
									<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 contact-margin-top">
										<label>
											<?php echo($language['your_message']); ?>
										</label>
										<textarea class="form-control message-box" name="message" placeholder="<?php echo($language['enter_your_message']);	?>" required><?php echo(xssClean($message)); ?></textarea>
									</div>
								</div>
								<?php if (captchaContactStatus()) { ?>
								<div class="form-group">
									<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 contact-margin-top">
										<img alt="captcha" src="<?php echo(rootPath() . $_SESSION['captchaContact']['image_src']);	?>"/>
									</div>
								</div>
								<div class="form-group">
									<?php if(isRTLLayout()) { ?>
									<div class="col-xs-12 col-sm-4 col-md-4 col-lg-5 col-lg-push-7 col-md-push-8 col-sm-push-8 contact-margin-top">
									<?php } else { ?>
									<div class="col-xs-6 col-sm-4 col-md-4 col-lg-5 contact-margin-top">
									<?php } ?>
										<label>
											<?php echo($language['enter_above_code']); ?>
										</label>
										<input type="text" class="form-control" name="captcha_code" placeholder="<?php echo( $language['enter_above_code']); ?>" value="" required>
										<?php if (isset($_POST) && $error) { ?>
											<span class="label label-danger">
												<?php echo($language['invalid_code']); ?>
											</span>
										<?php } ?>
									</div>
								</div>
								<?php } ?>
								<div class="clearfix"></div>
								<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
								<?php if(isRTLLayout()) { ?>
								<div class="col-md-7 col-md-push-5 contact-margin-top">
								<?php } else { ?>
								<div class="col-md-7 contact-margin-top">
								<?php } ?>
									<button type="submit" name="submit" class="btn btn-success">
										<span class="glyphicon glyphicon-send"></span>
										&nbsp; <?php echo($language['send']); ?>
									</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<?php if($adsInfo['leaderboardAdStatus']) { ?>
					<div class="ad-tray-728 <?php echo ($adsInfo['leaderboardAdResponsiveStatus'] ? "" : "hidden-xss") ?>">
						<?php echo($adsInfo['leaderboardAd']); ?>
					</div>
				<?php } ?>
			</div>
			<?php if(isRTLLayout()) { ?>
			<div class="col-lg-4 col-lg-pull-8 visible-lg sidebar-main sidebar-main-mrg">
			<?php } else { ?>
			<div class="col-lg-4 visible-lg sidebar-main sidebar-main-mrg">
			<?php } ?>
				<?php
				include "includes/sidebar.php";
				?>
			</div>
		</div> 
	</div>
<?php
include "includes/footer.php";
?>