<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

include "includes/captcha/captcha.php";

$_SESSION['captcha'] = simple_php_captcha();

$adsInfo = getAdsInfo();

$socialInfo = getSocialInfo();

$metaInfo = getMetaInfo();

$key = sha1(microtime());

$_SESSION['csrf']=$key;

include "includes/header.php";
?>
	<title><?php echo($metaInfo['title']); ?></title>
	<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
	<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
	<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
	<meta property="og:type" content="website"/>
	<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
	<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
	<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>

<?php
include "includes/header_under.php";
?>

<div class="clearfix"></div>
<div class="msg-bg">
	<div class="col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-sm-6 col-sm-offset-3 msg">
		<div class="panel panel default">
			<div class="panel-heading header_of_table">
				<span class="headerOfTableText"></span>
				<span class="float-right">
					<span class="three-quarters">
						<?php echo $language['loading'] ?>
					</span>
				</span>
			</div>
			<div class="panel-body captcha-body">
				<div class="progress progress-sh progress-striped active">
					<div id="progress_bar" class="progress-bar progress-bar-info progress-percentage">
					</div>
				</div>
				<div class="calculation-progress">
					<span class="msg-m">
					<?php echo($language['statistics']); ?>
					</span>
				</div>
			</div>
		</div>
	</div>
	
	<?php if (captchaStatsStatus()) { ?>
	<div class="captcha">
		<div class="panel default">
			<div class="panel-heading header_of_table">
			<?php echo($language['human_verification']); ?>
				<div class="pull-right-captcha">
				<a id="close_captcha"><span class="label label-danger"><i class="fa fa-times"></i></span></a>
				</div>
			</div>
			<div class="panel-body captcha-body">
				<div class="form-group cap-img">
					<img alt="captcha" src="<?php echo (rootPath() . $_SESSION['captcha']['image_src'] . "?" . time()); ?>" />
				</div>
				<div class="form-group">
					<div class="input-group">
						<input type="text" id="captcha_field" class="form-control search-bar search-bar-cap" placeholder="<?php echo($language['enter_code']); ?>" required />
						<input type="hidden" id="captcha_img" value="<?php echo $_SESSION['captcha']['code']; ?>"  />
						<input type="hidden" id="cap_action" value="stats"  />
						<span class="input-group-btn">
							<button type="submit" class="btn btn-info btn-search btn-search-cap theme-color check_captcha"><?php echo($language['check']); ?></button>
						</span>
					</div>
					<label class="label label-danger captcha_error">
						<i class="fa fa-times"></i> <?php echo($language['invalid_code']); ?>
					</label>
				</div>
			</div>
		</div>
	</div>
<?php } ?>
</div>

	<div class="container container-top" <?php echo((!totalStats()) ? 'style="margin-top:20vh !important"' : ''); ?>>
		<div class="row">
			<div class="col-lg-12">
				<img class="img-responsive home_logo" src="<?php echo (rootPath() . "/static/images/" . getLargeLogo() . "?" . time()); ?>" alt="img" />
			</div>
			<div class="col-lg-12">
				<div class="check_stat_field">
					<div class="input-group">
						<input autocomplete="off" type="text" class="form-control search-bar" id="d_name" name="url" placeholder="<?php echo($language['enter_website_url']); ?>" required>
						<span class="input-group-btn">
							<button type="submit" class="btn btn-info btn-search theme-color type"><?php echo($language['check']); ?>!</button>
						</span>
					</div>
					<div id="tooltip-error">
						<p class="centred">
							<i class="fa fa-times-circle"></i> <?php echo($language['invalid_or_restricted_domain']); ?>
						</p>
						<div id="tailShadow"></div>
						<div id="tail1"></div>
						<div id="tail2"></div>
					</div>
					<?php if(isRTLLayout()) { ?>
					<h5 class="pull-left">
					<?php } else { ?>
					<h5 class="pull-right">
					<?php } ?>
						<?php echo($language['total_checked_websites']); ?>
						<strong>
							<?php echo(number_format(totalStats())); ?>
						</strong>
					</h5>
				</div>
			</div>
		</div>
	<?php if($adsInfo['leaderboardAdStatus']) { ?>
		<div class="ad-tray-728 <?php echo ($adsInfo['leaderboardAdResponsiveStatus'] ? "" : "hidden-xss") ?>">
			<?php echo($adsInfo['leaderboardAd']); ?>
		</div>
	<?php } 
	if(totalStats()) {
	?>
		<div class="exp-web">
			<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 pad0">
				<div class="table-responsive margin-bottom-0">
					<table class="table table-bordered table-striped scroll_up">
						<tr>
							<th colspan="3" class="title-of-table">
								<span class="fa fa-star"></span>
								<?php echo($language['top_expensive_websites']); ?>
							</th>
						</tr>
						<tr class="header_of_table">
							<th class="count">#</th>
							<?php if(isRTLLayout()) { ?>
							<th class="rtl"><?php echo($language['domain_name']); ?></th>
							<?php } else { ?>
							<th><?php echo($language['domain_name']); ?></th>
							<?php } ?>
							<?php if(isRTLLayout()) { ?>
							<th class="rtl">(<?php currency_symbol(); ?>) <?php echo($language['worth']); ?></th>
							<?php } else { ?>
							<th>(<?php currency_symbol(); ?>) <?php echo($language['worth']); ?></th>
							<?php } ?>
						</tr>
						<tbody class="table-body">
						<?php
						$arrayData = fetchTopIndex();
						unset($arrayData[count($arrayData)-1]);
						$count = 1;
						foreach($arrayData as $row) { ?>
							<tr>
								<td class="count">
									<?php echo($count); ?>
								</td>
								<td>
									<img class="index_web_favicon" width="16" height="16" alt="<?php echo($row['url']); ?>" src=" http://www.google.com/s2/favicons?domain=http://<?php echo($row['url'] . "?" . time()); ?>" /> 
									<a href="<?php echo(rootPath()."/".$row['url']); ?>.html">http://www.<?php echo(trim_string($row['url'])); ?>
									</a>
								</td>
								<td>
									<?php echo(convert_currency($row['worth'])); ?>
								</td>
							</tr>
						<?php $count++; } ?>
						</tbody>
					</table>
				</div>
			<a href="<?php echo(rootPath()); ?>/top" class="show-more-btn btn btn-default">
			<i class="fa fa-plus-circle"></i> <?php echo($language['show_more_top_websites']); ?>
			</a>
			<?php if($adsInfo['bannerAdStatus']) { ?>
				<div class="ad-tray-468 <?php echo ($adsInfo['bannerAdResponsiveStatus'] ? "" : "hidden-562 hidden-md") ?>"> 
					<?php echo($adsInfo['bannerAd']); ?>
				</div>
			<?php } ?>
			</div>
			
			<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 recent-web-table pad0">
				<div class="table-responsive margin-bottom-0">
					<table class="table table-bordered table-striped scroll_up">
						<tr>
							<th colspan="3" class="title-of-table"><span class="fa fa-clock-o"></span> <?php echo($language['recently_checked_websites']); ?>
							</th>
						</tr>
						<tr class="header_of_table">
							<th class="count">#</th>
							<?php if(isRTLLayout()) { ?>
							<th class="rtl"><?php echo($language['domain_name']); ?></th>
							<?php } else { ?>
							<th><?php echo($language['domain_name']); ?></th>
							<?php } ?>
							<?php if(isRTLLayout()) { ?>
							<th class="rtl">(<?php currency_symbol(); ?>) <?php echo($language['worth']); ?></th>
							<?php } else { ?>
							<th>(<?php currency_symbol(); ?>) <?php echo($language['worth']); ?></th>
							<?php } ?>
						</tr>
						<tbody class="table-body">
							<?php
							$arrayData = fetchRecentIndex();
							unset($arrayData[count($arrayData)-1]);
							$count = 1;
							foreach($arrayData as $row) { ?>
							<tr>
								<td class="count">
									<?php echo($count); ?>
								</td>
								<td>
									<img class="index_web_favicon" width="16" height="16" alt="<?php echo($row['url']); ?>" src="http://www.google.com/s2/favicons?domain=http://<?php echo($row['url']); ?>"/> 
									<a href="<?php echo(rootPath()."/".$row['url']); ?>.html">http://www.<?php echo(trim_string($row['url'])); ?>
									</a>
								</td>
								<td>
									<?php echo(convert_currency($row['worth'])); ?>
								</td>
							</tr>
							<?php $count++; } ?>
						</tbody>
					</table>
				</div>
				<a href="<?php echo(rootPath()); ?>/recent" class="show-more-btn btn btn-default">
					<i class="fa fa-plus-circle"></i> <?php echo($language['show_more_recent_websites']); ?>
				</a>
				<?php
				if($adsInfo['bannerAdStatus']) { ?>
				<div class="ad-tray-468 <?php echo ($adsInfo['bannerAdResponsiveStatus'] ? "" : "hidden-562 hidden-md") ?>">
					<?php echo($adsInfo['bannerAd']); ?>
				</div>
				<?php } ?>
			</div>
	</div>
	<?php } ?>
</div>
<?php
include 'includes/footer.php';
?>