ALTER TABLE `apiSettings` ADD `speedScoreKey` VARCHAR(200) NOT NULL , ADD `facebookID` VARCHAR(200) NOT NULL , ADD `facebookSecret` VARCHAR(200) NOT NULL ;
 
ALTER TABLE `cacheSettings` ADD `favoriteCacheEnable` TINYINT NOT NULL , ADD `favoriteCacheExpireTime` INT NOT NULL , ADD `historyCacheEnable` TINYINT NOT NULL , ADD `historyCacheExpireTime` INT NOT NULL, ADD `marketCacheEnable` TINYINT NOT NULL , ADD `marketCacheExpireTime` INT NOT NULL ;

UPDATE `cacheSettings` SET `favoriteCacheEnable` = '0', `favoriteCacheExpireTime` = '3600', `historyCacheEnable` = '0', `historyCacheExpireTime` = '3600', `marketCacheEnable` = '0', `marketCacheExpireTime` = '3600';

DROP TABLE IF EXISTS `categories`;

CREATE TABLE IF NOT EXISTS `categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `permalink` varchar(100) NOT NULL,
  `icon` varchar(200) NOT NULL,
  `displayOrder` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=67 ;

TRUNCATE TABLE `categories`;

INSERT INTO `categories` (`id`, `name`, `permalink`, `icon`, `displayOrder`, `status`) VALUES
(51, 'Health', 'health', 'fa-plus-circle', 1, 1),
(52, 'Games', 'games', 'fa-gamepad', 2, 1),
(53, 'Arts', 'arts', 'fa-pie-chart', 3, 1),
(54, 'World', 'world', 'fa-globe', 4, 1),
(55, 'Business', 'business', 'fa-institution', 5, 1),
(56, 'Home', 'home', 'fa-home', 6, 1),
(57, 'Kids and Teens', 'kids-and-teens', 'fa-child', 7, 1),
(58, 'Science', 'science', 'fa-flask', 8, 1),
(59, 'Computers', 'computers', 'fa-desktop', 9, 1),
(60, 'Shopping', 'shopping', 'fa-shopping-cart', 10, 1),
(61, 'Society', 'society', 'fa-flag', 11, 1),
(62, 'News', 'news', 'fa-newspaper-o', 12, 1),
(63, 'Reference', 'refrence', 'fa-life-ring', 13, 1),
(64, 'Regional', 'regional', 'fa-anchor', 14, 1),
(65, 'Sports', 'sports', 'fa-soccer-ball-o', 15, 1),
(66, 'Travel', 'travel', 'fa-automobile', 16, 1);

DROP TABLE IF EXISTS `categoryLanguage`;

CREATE TABLE IF NOT EXISTS `categoryLanguage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL,
  `name` text NOT NULL,
  `permalink` varchar(200) NOT NULL,
  `language` varchar(200) NOT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `keywords` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=35 ;

TRUNCATE TABLE `categoryLanguage`;

INSERT INTO `categoryLanguage` (`id`, `cid`, `name`, `permalink`, `language`, `description`, `keywords`) VALUES
(4, 51, 'صحت', 'health', 'Urdu', 'صحت', 'صحت'),
(3, 51, 'Health', 'health', 'English (UK)', 'health categories', 'health'),
(5, 52, 'Games', 'games', 'English (UK)', 'games category', 'games'),
(6, 52, 'گیمز', 'games', 'Urdu', 'گیمز', 'گیمز'),
(7, 53, 'Arts', 'arts', 'English (UK)', 'arts category', 'arts'),
(8, 53, 'آرٹس', 'arts', 'Urdu', 'آرٹس', 'آرٹس'),
(9, 54, 'World', 'world', 'English (UK)', 'world category', 'world'),
(10, 54, 'ورلڈ', 'world', 'Urdu', 'ورلڈ', 'ورلڈ'),
(11, 55, 'Business', 'business', 'English (UK)', 'business category', 'business'),
(12, 55, 'بزنس', 'business', 'Urdu', 'بزنس', 'بزنس'),
(13, 56, 'Home', 'home', 'English (UK)', 'home category', 'home'),
(14, 56, 'ہوم', 'home', 'Urdu', 'ہوم', 'ہوم'),
(15, 57, 'Kids and Teens', 'kids-and-teens', 'English (UK)', 'kids category', 'kids,teens'),
(16, 57, 'کڈز اینڈ ٹینس', 'kids-and-teens', 'Urdu', 'کڈز اینڈ ٹینس', 'کڈز اینڈ ٹینس'),
(17, 58, 'Science', 'science', 'English (UK)', 'science categories', 'flask'),
(18, 58, 'سائنس', 'science', 'Urdu', 'سائنس', 'سائنس'),
(19, 59, 'Computers', 'computers', 'English (UK)', 'computers categories', 'computers'),
(20, 59, 'کمپیوٹرز', 'computers', 'Urdu', 'کمپیوٹرز', 'کمپیوٹرز'),
(21, 60, 'Shopping', 'shopping', 'English (UK)', 'shopping category', 'shoppinf,cart'),
(22, 60, 'شاپنگ', 'shopping', 'Urdu', 'شاپنگ', 'شاپنگ'),
(23, 61, 'Society', 'society', 'English (UK)', 'society', 'society'),
(24, 61, 'معاشرے', 'society', 'Urdu', 'معاشرے', 'معاشرے'),
(25, 62, 'News', 'news', 'English (UK)', 'news', 'news'),
(26, 62, 'خبر', 'news', 'Urdu', 'خبر', 'خبر'),
(27, 63, 'Reference', 'refrence', 'English (UK)', 'Reference category', 'refernce'),
(28, 63, 'ریفرنس', 'refrence', 'Urdu', 'ریفرنس', 'ریفرنس'),
(29, 64, 'Regional', 'regional', 'English (UK)', 'Regional categories', 'regional'),
(30, 64, 'علاقائی', 'regional', 'Urdu', 'علاقائی', 'علاقائی'),
(31, 65, 'Sports', 'sports', 'English (UK)', 'sports', 'sports'),
(32, 65, 'کھیل', 'sports', 'Urdu', 'کھیل', 'کھیل'),
(33, 66, 'Travel', 'travel', 'English (UK)', 'travel', 'travel'),
(34, 66, 'ٹریول', 'travel', 'Urdu', 'ٹریول', 'ٹریول');

ALTER TABLE `contentSettings` ADD `historyWebCount` INT NOT NULL , ADD `favoriteWebCount` INT NOT NULL , ADD `marketWebCount` INT NOT NULL ;

UPDATE `contentSettings` SET `historyWebCount`='10', `favoriteWebCount`='10', `marketWebCount`='10';

DROP TABLE IF EXISTS `conversations`;

CREATE TABLE IF NOT EXISTS `conversations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sid` int(11) NOT NULL,
  `rid` int(11) NOT NULL,
  `sUsername` varchar(200) NOT NULL,
  `rUsername` varchar(200) NOT NULL,
  `lastMessage` varchar(200) NOT NULL,
  `url` varchar(200) NOT NULL,
  `readStatus` int(11) NOT NULL,
  `dateTime` varchar(200) NOT NULL,
  `sStatus` int(11) NOT NULL DEFAULT '1',
  `rStatus` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=29 ;

DROP TABLE IF EXISTS `favoriteWebsites`;

CREATE TABLE IF NOT EXISTS `favoriteWebsites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `url` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=54 ;

DROP TABLE IF EXISTS `history`;

CREATE TABLE IF NOT EXISTS `history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(100) NOT NULL,
  `url` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=69 ;

DROP TABLE IF EXISTS `messages`;

CREATE TABLE IF NOT EXISTS `messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL,
  `sid` int(11) NOT NULL,
  `rid` int(11) NOT NULL,
  `sUsername` varchar(200) NOT NULL,
  `rUsername` varchar(200) NOT NULL,
  `sEmail` varchar(200) NOT NULL,
  `rEmail` varchar(200) NOT NULL,
  `message` varchar(200) NOT NULL,
  `dateTime` varchar(200) NOT NULL,
  `sStatus` int(11) NOT NULL DEFAULT '1',
  `rStatus` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=211 ;

DROP TABLE IF EXISTS `users`;

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userName` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `status` int(11) NOT NULL,
  `emailNotifications` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=104 ;


DROP TABLE IF EXISTS `userWebsites`;

CREATE TABLE IF NOT EXISTS `userWebsites` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `url` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `verificationCode` varchar(200) NOT NULL,
  `price` int(11) NOT NULL,
  `forSale` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `adminAllow` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=73 ;

DROP TABLE IF EXISTS `verifyUsers`;

CREATE TABLE IF NOT EXISTS `verifyUsers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `username` varchar(200) NOT NULL,
  `email` varchar(200) NOT NULL,
  `code` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=28 ;

DROP TABLE IF EXISTS `languages`;

CREATE TABLE IF NOT EXISTS `languages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `languageName` varchar(200) NOT NULL,
  `fileName` varchar(200) NOT NULL,
  `displayOrder` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `RTLstatus` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

TRUNCATE TABLE `languages`;

INSERT INTO `languages` (`id`, `languageName`, `fileName`, `displayOrder`, `status`, `RTLstatus`) VALUES
(6, 'English (UK)', 'English (UK).php', 0, 1, 0),
(10, 'Urdu', 'Urdu.php', 1, 1, 1);

DROP TABLE IF EXISTS `pages`;

CREATE TABLE IF NOT EXISTS `pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `permalink` varchar(110) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `status` tinyint(1) NOT NULL,
  `display_order` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

TRUNCATE TABLE `pages`;

INSERT INTO `pages` (`id`, `permalink`, `title`, `status`, `display_order`) VALUES
(1, 'privacy-policy', 'Privacy Policy', 1, 1),
(2, 'tos', 'Terms and Conditions', 1, 0);

DROP TABLE IF EXISTS `pagesContent`;

CREATE TABLE IF NOT EXISTS `pagesContent` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL,
  `language` varchar(200) NOT NULL,
  `title` varchar(200) NOT NULL,
  `permalink` varchar(200) NOT NULL,
  `description` varchar(200) NOT NULL,
  `keywords` varchar(200) NOT NULL,
  `content` varchar(20000) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

TRUNCATE TABLE `pagesContent`;

INSERT INTO `pagesContent` (`id`, `pid`, `language`, `title`, `permalink`, `description`, `keywords`, `content`) VALUES
(2, 1, 'English (UK)', 'Privacy Policy', 'privacy-policy', 'Website Value Calculator commit ourselves to protecting and respecting your privacy when visiting our website.', 'privacy,privacy policy', '&lt;p&gt;(&quot;We&quot;) commit ourselves to protecting and respecting your privacy when visiting our website.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;This privacy policy sets out how we will process and use any personal data that you provide to us, or that we may collect as a result of visiting [Website Value Calculator]. &amp;nbsp;Please read the following information to understand our practices with regards to your personal data and how we will treat it.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;[For the purposes of the Data Protection Act 1998, the identity of our data controller shall be available upon inquiry by email.]&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;INFORMATION WE MAY COLLECT FROM YOU&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;We may collect and process the following data about you:&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Any information that you provide by filling in forms on our site. &amp;nbsp;This includes provided information at the time of registering to use our site, posting material, requesting further services or subscribing to any service offered by us on the site. &amp;nbsp;We might also request further information and if you should report a problem with our site.&amp;nbsp;&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;We may keep a record of any correspondence if you should contact us.&lt;/p&gt;&lt;p&gt;Details of the resources you access and of your visits to our site&lt;/p&gt;&lt;p&gt;Details of transactions you may carry out through our site and of the completion of your orders.&lt;/p&gt;&lt;p&gt;IP ADDRESSES AND COOKIES&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;We may collect information about your computer; this is statistical data concerning your browsing actions and does not identify you individually. &amp;nbsp;This information includes your IP address where available, operating system and browser type, for system administration and to report collective information to our advertisers.&amp;nbsp;&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;We may also collect information about your general internet usage using cookie files stored on the hard drive of all computers. &amp;nbsp;The cookies contain valuable information that is transferred to your computers hard drive. &amp;nbsp;In collecting this information we are able to improve our site and deliver a better and more personalised service.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;You can refuse to accept cookies but note that in doing this you may be unable to access certain parts of our site. &amp;nbsp;You can do this by activating the setting on your browser which allows you to refuse the setting.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;[Our advertisers may also use cookies but please note that we have no control over this]&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;WHERE WE STORE YOUR PERSONAL DATA&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;Any data that we collect from you may be stored at, and transferred to, a destination outside the European Economic Area (EEA). &amp;nbsp;This data may also be processed by staff that operates outside the EEA working us or one of our suppliers. &amp;nbsp;In submitting your personal data, you agree to such a transfer and the storing and processing of this data. &amp;nbsp;To ensure that your data is treated securely and in accordance with this privacy policy we will endeavor to take all reasonable necessary steps in protecting your privacy.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;We will do our best to protect your personal data, unfortunately, the transmission of information over the internet is not entirely secure and we cannot guarantee the security of data transmitted to our sites. &amp;nbsp;Any transmission of data is at your own risk.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;USES MADE OF THE INFORMATION&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;We use the information held about you in the following ways:&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;To notify you of any changes to our service.&lt;/p&gt;&lt;p&gt;To ensure that the content of our site is presented in the most effective manner for you and your computer.&lt;/p&gt;&lt;p&gt;Where you have consented to be contacted, to provide you with the information, products and services requested from us or in the event that we feel will be of interest to you.&lt;/p&gt;&lt;p&gt;To allow you to participate in interactive features of our service, should you choose to do so.&lt;/p&gt;&lt;p&gt;In allowing ourselves to carry out our obligations concerning any contracts entered into between you and us.&lt;/p&gt;&lt;p&gt;We may also use your data to inform you and provide information on goods and services that may be of interest to you. &amp;nbsp;[We may also permit selected third parties to use your data for the same reason.]&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;If you do not want your data used in this way or passed onto third parties for marketing purposes please tick the relevant box on the form in which we collect your data.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;[We do not disclose information which will identify individuals to our advertisers. &amp;nbsp;We may however provide them with collective information about our users. &amp;nbsp;We may also use collective data to help our advertisers reach their target audience. &amp;nbsp;The data collected may also be used by us in order to comply with our advertiserÃƒÂ¢Ã¢â€šÂ¬Ã¢â€žÂ¢s wishes in displaying their advertisement to their target audience.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;DISCLOSURE OF YOUR INFORMATION&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;[As defined in section 736 of the UK Companies Act 1985 we may disclose your personal information to any member of our group. &amp;nbsp;These include our subsidiaries, our ultimate holding company and its subsidiaries.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;THIRD PARTY WEBSITES&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;From time to time our site may contain links to and from the websites of our partner networks, advertisers and affiliates. &amp;nbsp;If you visit any of these sites please note that they have their own privacy policies and you should check these before submitting any personal data. &amp;nbsp;We cannot accept any responsibility or liability for these policies.&lt;/p&gt;'),
(3, 2, 'English (UK)', 'Terms and Conditions', 'tos', 'These Terms of Service govern your use of the Website Value Calculator software and any additional services offered by or available.', 'tos,terms,conditions', '&lt;div&gt;&lt;b&gt;Terms and Conditions&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;Website Value Calculator is an online service. These Terms of Service govern your use of the Website Value Calculator software and any additional services offered by or available from Website Value Calculator (the &quot;Services&quot;). Please read these Terms of Service carefully.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;YOUR ACCESSING THIS WEB SITE AND USE OF THE SERVICES SIGNIFIES THAT YOU AGREE TO THE FOLLOWING TERMS OF SERVICE AND YOU CONSENT TO THE FOLLOWING TERMS AND CONDITIONS (&quot;TERMS OF SERVICE&quot;) DISCLOSED HEREIN. YOU AND Website Value Calculator INTEND THAT THIS IS A BINDING LEGAL AGREEMENT. IF YOU DO NOT AGREE WITH ANY OR ALL OF THESE TERMS, DO NOT USE THE SERVICES. VIOLATION OF THESE TERMS OF SERVICE WILL RESULT IN THE TERMINATION OF YOUR ACCESS TO THE SERVICES.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;1. CHANGES TO THE TERMS OF SERVICE&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;We may change these Terms of Service at any time. You can review the most current version of these terms by clicking on the &quot;Terms of Service&quot; hypertext link located at the bottom of our web pages. You are responsible for checking these terms periodically for changes. If you continue to use the Services after we post changes to these Terms of Service, you are signifying your acceptance of the new terms. When such a change is made, we will update the &quot;Last Updated&quot; date at the end of this document.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;2. ELECTRONIC DELIVERY POLICY AND YOUR CONSENT&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;You agree that we may provide to you required notices, agreements and other information concerning the Website Value Calculator Services electronically. We will post the notices on the home page of Website Value Calculator or on the relevant web page of the applicable service.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;3. PRIVACY POLICY&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;The Website Value Calculator Privacy Policy explains the practices that apply to your information when you use the Website Value Calculator Services. Your ongoing use of the Website Value Calculator Services signifies your consent to the information practices disclosed in our Privacy Policy. You can review the Privacy Policy by clicking on the &quot;Privacy Policy&quot; link located on the home page of www.Website Value Calculator.com.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;4. CHANGES TO Website Value Calculator&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;We may discontinue or change any service or feature provided at www.Website Value Calculator.com at any time,.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;5. SERVICE TERMS&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;ol&gt;&lt;ul&gt;&lt;li&gt;You may use the Website Value Calculator Services for lawful, authorized purposes and only in accordance with these Terms of Service.&lt;/li&gt;&lt;li&gt;You must be 13 years or older in order to use the Services. Accounts registered by &quot;bots&quot; or other automated methods are not permitted.&lt;/li&gt;&lt;li&gt;You are responsible for all of the content posted and activity that occurs under your action.&lt;/li&gt;&lt;li&gt;You may not submit any material, or otherwise engage in any conduct that:&lt;/li&gt;&lt;li&gt;Impersonates any person, business or entity, including Website Value Calculator and its employees and agents;&lt;/li&gt;&lt;li&gt;Contains viruses or any other computer code, files or programs that interrupt, destroy or limit the functionality of any computer software or hardware or telecommunications equipment, or otherwise permit the unauthorized use of a computer or computer network;&lt;/li&gt;&lt;li&gt;Encourages conduct that would constitute a criminal offence, or that gives rise to civil liability;&lt;/li&gt;&lt;li&gt;You may not use the Website Value Calculator Services in any manner that could damage, disable, overburden, or impair our servers or networks, or interfere with any other party&#039;s use and enjoyment of the Website Value Calculator services.&lt;/li&gt;&lt;li&gt;You may not attempt to gain unauthorized access to any of the Website Value Calculator Services, user accounts, computer systems or networks, through hacking, password mining or any other means. We may take any legal and technical remedies to prevent the violation of this provision and to enforce these Terms of Service.&lt;/li&gt;&lt;/ul&gt;&lt;/ol&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;User Responsibility&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;Website Value Calculator serves as an aggregation of information. User-generated content does not represent the advice, views, opinions or beliefs of Website Value Calculator.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;Website Value Calculator is not responsible for the content of user-generated information including comments, images, videos, links to third-party websites, business practices and privacy policies. The inclusion of user-generated content on the Site or Services does not imply any endorsement by or any affiliation with Website Value Calculator.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;In accessing the Site and Services, you may be exposed to content that you consider offensive or inappropriate. You agree that your only recourse is to stop using the Site and Services.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;Additional Terms&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;By accessing Website Value Calculator, you are granting permission to us and others to aggregate searches for statistical purposes and use it in connection with the Services, the Site and otherwise in connection with our business.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;Website Value Calculator does not provide legal services, and therefore, providing you with the ability to attach a license agreement to your compilation of links does not create an attorney-client relationship. The license agreement and all related information are provided on an &quot;as is&quot; basis.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;Website Value Calculator makes no warranties whatsoever regarding the license agreement and the information provided and disclaims all liability for damages, including without limitation, any general, special, incidental or consequential damages, resulting from their use.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;Website Value Calculator is explicitly not responsible for the manner or circumstances by which third parties access or use public content and is under no obligation to disable or otherwise restrict this access.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;Website Value Calculator provides you with the ability to remove your personal information from the Site and the Services. This ability does not extend to copies that others may have made or to copies that we may have made for backup purposes.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;6. LICENSE TO USE Website Value Calculator&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;The following terms and conditions govern your use of the Website Value Calculator Services. This is a license agreement (&quot;Agreement&quot;) between you and Website Value Calculator. (&quot;Website Value Calculator&quot;). By accessing the Website Value Calculator Services, you acknowledge that you have read, understand and accept the following terms and conditions. In the event you do not agree and do not want to be bound by these terms and conditions, destroy your passcode and cease all further use of the Website Value Calculator Services.&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;License Grant&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;Website Value Calculator grants to you (either to you individually or the company for whom you work) a non-exclusive license to access Website Value Calculator Services solely for your own personal or business purposes on a computer during the period of time or session where you interact with the Website Value Calculator Services (whether by means of a laptop computer, standard computer or a workstation attached to a multi-user network (a &quot;Computer&quot;). We consider the Website Value Calculator Services in use on the Computer you are then currently using when the Website Value Calculator Services are loaded into that Computer&#039;s temporary memory or &quot;RAM&quot; and when you interact with, upload, revise or input information onto Website Value Calculator&#039;s servers by means of the Website Value Calculator Services. Website Value Calculator reserves all rights not expressly granted herein.&lt;/div&gt;'),
(12, 1, 'Urdu', 'پرائیویسی پالیسی', 'privacy-policy', 'ویب سائٹ ویلیو کیلکولیٹر کے تحفظ اور ہماری ویب سائٹ کے دورے پر جب آپ کی پرائیویسی کا احترام کرنے کا عہد', 'پرائیویسی,پرائیویسی پالیسی', '&lt;p&gt;(ہم) کی حفاظت اور ہماری ویب سائٹ کے دورے پر جب آپ کی پرائیویسی کا احترام کرنے کا عہد.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;یہ رازداری کی پالیسی ہم عمل اور ہمارے لئے آپ کو فراہم ہے کہ کسی بھی ذاتی ڈیٹا کا استعمال کرتے ہیں، یا ہم [ویب سائٹ ویلیو کیلکولیٹر] کا دورہ کر کے نتیجے کے طور پر جمع کر سکتے ہیں کہ کیسے کریں گے باہر کا تعین. آپ کے ذاتی ڈیٹا کے حوالے سے ہمارے طرز عمل کو سمجھنے کے لئے مندرجہ ذیل معلومات کو پڑھیں اور ہم نے اس کا علاج کیسے کریں گے براہ مہربانی.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;[ڈیٹا پروٹیکشن ایکٹ 1998 کے مقاصد کے لئے، ہمارے ڈیٹا کنٹرولر کی شناخت ای میل کے ذریعے انکوائری پر دستیاب ہوں گے.]&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;ہمیں آپ سے جمع کر سکتے ہیں معلومات&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;ہم جمع کرتے ہیں اور آپ کے بارے میں مندرجہ ذیل ڈیٹا پر عملدرآمد کر سکتے ہیں:&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;اگر آپ کو ہماری ویب سائٹ پر فارم میں بھرنے کی طرف سے فراہم کی ہے کہ کوئی بھی معلومات. یہ، ہماری ویب سائٹ استعمال کرنے کے لئے رجسٹر کرنے کے مواد پوسٹنگ، مزید خدمات کی درخواست یا ویب سائٹ پر ہماری طرف سے پیش کردہ کسی بھی سروس کی رکنیت کے وقت معلومات فراہم کرنا شامل ہے. اگر آپ کو ہماری ویب سائٹ کے ساتھ ایک مسئلہ کی رپورٹ چاہئے اگر ہم نے بھی مزید معلومات کی درخواست کریں اور سکتا ہے.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;آپ ہم سے رابطہ کرنا چاہئے اگر ہم کسی بھی خط و کتابت کا ریکارڈ رکھ سکتے ہیں.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;آپ تک رسائی حاصل وسائل کے اور ہماری ویب سائٹ پر آپ کے دوروں کی تفصیلات دیکھیں&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;لین دین کی تفصیلات آپ کو ہماری ویب سائٹ کے ذریعے اور آپ کے حکم کی تکمیل سے باہر لے کر سکتے ہیں.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;IP پتے اور کوکیز&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;ہم آپ کے کمپیوٹر کے بارے میں معلومات جمع کر سکتے ہیں؛ یہ آپ کی براؤزنگ کے اعمال سے متعلق اعداد و شمار کے اعداد و شمار ہے اور انفرادی طور پر آپ کی شناخت نہیں کرتا. یہ معلومات دستیاب، آپریٹنگ سسٹم اور براؤزر کی قسم، نظام انتظامیہ کے لئے اور ہمارے مشتھرین کو اجتماعی معلومات رپورٹ کرنے کے لئے ہے جہاں آپ کا IP ایڈریس بھی شامل ہے.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;ہم نے بھی تمام کمپیوٹرز کی ہارڈ ڈرائیو پر محفوظ آپ کے عام انٹرنیٹ کے استعمال کوکی استعمال کرتے ہوئے فائلوں کے بارے میں معلومات اکٹھا کرسکتے ہیں. کوکیز آپ کے کمپیوٹر کی ہارڈ ڈرائیو میں منتقل کر دیا جاتا ہے کہ قیمتی معلومات پر مشتمل ہے. اس کی معلومات کے جمع کرنے میں ہم نے ہماری ویب سائٹ کو بہتر بنانے اور ایک بہتر اور زیادہ ذاتی خدمت فراہم کرنے کے قابل ہیں.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;آپ کوکیز کو قبول کرنے سے انکار ہے لیکن ایسا کرنے میں اگر آپ کو ہماری ویب سائٹ کے کچھ حصوں تک رسائی حاصل کرنے کے قابل نہیں ہو سکتا ہے یاد رکھیں کہ کر سکتے ہیں. اگر آپ کی ترتیب سے انکار کرنے کی اجازت دیتا ہے آپ کے براؤزر پر ترتیب کو چالو کرنے کے کی طرف سے ایسا کر سکتے ہیں.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;[ہمارے مشتھرین بھی کوکیز استعمال کرتے ہیں لیکن اگر ہم اس پر کوئی کنٹرول نہیں ہے کہ براہ مہربانی یاد رکھیں سکتی]&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;ہم آپ کی ذاتی ڈیٹا سٹور کہاں&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;ہم آپ کی طرف سے جمع ہے کہ کسی بھی اعداد و شمار پر محفوظ کیا، اور یورپی اکنامک ایریا (ای ای اے) کے باہر ایک منزل، میں منتقل کیا جا سکتا ہے. یہ اعداد و شمار بھی ہمیں یا ہمارے سپلائرز میں سے ایک کام کر EEA کے باہر چلتی ہے کہ ملازمین کی طرف سے عملدرآمد کیا جا سکتا ہے. آپ کا ذاتی ڈیٹا جمع کرنے میں، آپ کو اس کے ڈیٹا کی منتقلی اور محفوظ کرنے اور پروسیسنگ طرح سے اتفاق کرتا ہوں. آپ کے ڈیٹا کو محفوظ طریقے سے علاج کیا جاتا ہے اور اس کی رازداری کی پالیسی کے مطابق میں ہم آپ کی پرائیویسی کی حفاظت کرنے میں تمام مناسب ضروری اقدامات کرنے کی کوشش کریں گے اس بات کا یقین کرنے کے لئے.&lt;/p&gt;&lt;p&gt;&lt;br&gt;&lt;/p&gt;&lt;p&gt;ہم آپ کا ذاتی ڈیٹا، بدقسمتی سے، انٹرنیٹ پر معلومات کی نشریات مکمل طور پر محفوظ نہیں ہے کی حفاظت کے لئے اپنی پوری کوشش کروں گا اور ہم ہمارے سائٹس کو منتقل اعداد و شمار کے تحفظ کی ضمانت نہیں کر سکتے ہیں. اعداد و شمار کی کوئی ٹرانسمیشن اپنی ذمہ داری پر ہے.&lt;/p&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;');
INSERT INTO `pagesContent` (`id`, `pid`, `language`, `title`, `permalink`, `description`, `keywords`, `content`) VALUES
(13, 2, 'Urdu', 'شرائط و ضوابط', 'tos', 'سروس کی شرائط ویب سائٹ کی قیمت کیلکولیٹر سافٹ ویئر اور کی طرف سے یا دستیاب پیش کردہ کسی بھی اضافی خدمات کے آپ کے', 'شرائط,ضوابط', '&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر ایک آن لائن سروس ہے. سروس کی شرائط ویب سائٹ کی قیمت کیلکولیٹر سافٹ ویئر اور ویب سائٹ کی قیمت کیلکولیٹر (&quot;سروسز&quot;) کی طرف سے کی طرف سے یا دستیاب پیش کردہ کسی بھی اضافی خدمات کے آپ کے استعمال پر حکومت. احتیاط سے سروس کی ان شرائط براہ مہربانی پڑھیں.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;آپ کو اس ویب سائٹ تک رسائی حاصل کرنے اور خدمات کے استعمال آپ کی خدمت کی مندرجہ ذیل شرائط سے اتفاق کرتا ہوں اور اگر آپ کے ساتھ ساتھ انکشاف مندرجہ ذیل شرائط و ضوابط (&quot;سروس کی شرائط&quot;) پر رضامند کہ ابیوینجک. YOU اور ویب سائٹ کی قیمت کیلکولیٹر یہ ایک بائنڈنگ قانونی معاہدہ ہے کہ ارادہ رکھتے ہیں. اگر آپ ان اصولوں کی کسی ایک یا سب کے ساتھ متفق نہیں ہوں، خدمات کا استعمال نہ کریں. سروس کی ان شرائط کی خلاف ورزی کی خدمات تک آپ کی رسائی کی برطرفی کے نتیجے میں جائے گا.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;سروس کی شرائط 1. تبدیلی&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ہم کسی بھی وقت سروس کی ان شرائط کو تبدیل کر سکتے. آپ کو ہماری ویب صفحات کے نچلے حصے میں واقع &quot;سروس کی شرائط&quot; ہایپر ٹیکسٹ لنک پر کلک کرکے ان شرائط میں سے سب سے زیادہ حالیہ ورژن ملاحظہ کر سکتے ہیں. تم نے تبدیلی کے لئے باقاعدگی ان شرائط کی جانچ پڑتال کے لئے ذمہ دار ہیں. آپ کو ہم سروس کی ان شرائط میں تبدیلیاں پوسٹ کے بعد کی خدمات کا استعمال کرتے رہتے ہیں تو، آپ کو نئی شرائط کی منظوری اشارہ کر رہے ہیں. ایسی تبدیلی بنایا جاتا ہے تو، ہم اس دستاویز کے آخر میں &quot;آخری تجدید&quot; کی تاریخ کو اپ ڈیٹ کرے گا.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;2. الیکٹرانک ترسیل پالیسی اور آپ کی اجازت&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;تم ہم آپ کو نوٹس، معاہدوں اور الیکٹرانک ویب سائٹ ویلیو کیلکولیٹر سروسز کے متعلق دیگر معلومات درکار کو فراہم کر سکتے ہیں کہ اتفاق کرتا ہوں. ہم ویب سائٹ ویلیو کیلکولیٹر کے ہوم پیج پر یا قابل اطلاق سروس کی متعلقہ ویب صفحے پر موجود نوٹس پوسٹ کرے گا.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;3. پرائیویسی پالیسی&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر کی رازداری کی پالیسی آپ کی ویب سائٹ کی قیمت کیلکولیٹر سروسز استعمال کرتے ہیں تو آپ کی معلومات کے لئے درخواست دے کہ طرز عمل کی وضاحت کرتا ہے. ویب سائٹ ویلیو کیلکولیٹر سروسز کے آپ کے استعمال سے جاری ہماری پرائیویسی پالیسی میں انکشاف کیا معلومات کے طریقوں کے لئے آپ کی رضامندی کا ابیوینجک ہے. تم www.Website ویلیو Calculator.com کے ہوم پیج پر واقع &quot;رازداری کی پالیسی&quot; کے لنک پر کلک کر کے حفاظتی پالیسی ملاحظہ کر سکتے ہیں.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر 4. تبدیلی&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ہم کو منقطع یا کسی بھی وقت www.Website ویلیو Calculator.com پر فراہم کی کسی بھی سروس یا خصوصیت تبدیل کر سکتے ہیں ،.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;5. سروس کی شرائط&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;تم نے حلال، مجاز مقاصد کے لئے ہے اور صرف سروس کی ان شرائط کے مطابق میں ویب سائٹ کی قیمت کیلکولیٹر سروسز استعمال کر سکتے ہیں.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;آپ کی خدمات کو استعمال کرنے کے لئے 13 سال یا اس سے زیادہ ہونا ضروری ہے. &quot;خودکار صارف&quot; یا دیگر خود کار طریقوں کی طرف سے رجسٹرڈ اکاؤنٹس کی اجازت نہیں ہے.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;آپ اپنے کارروائی کے تحت اس وقت ہوتی ہے پوسٹ کیا گیا مواد اور سرگرمی کی سب کے لئے ذمہ دار ہیں.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;آپ کسی بھی مواد جمع کرانے، یا دوسری صورت میں کسی بھی طرز عمل ہے کہ میں مشغول نہیں ہو سکتا ہے:&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر اور اس کے ملازمین اور ایجنٹوں سمیت کسی بھی شخص، کاروبار یا شے، Impersonates؛&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;وائرس یا کسی دوسرے کمپیوٹر کوڈ، فائلوں یا، تباہ یا کسی بھی کمپیوٹر سافٹ ویئر یا ہارڈویئر یا ٹیلی کمیونیکیشنز کا سامان کی فعالیت کو محدود، یا دوسری صورت میں ایک کمپیوٹر یا کمپیوٹر نیٹ ورک کی غیر مجاز استعمال کی اجازت رکاوٹ ہے کہ پروگراموں پر مشتمل ہے؛&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ایک جرم کا قیام کرے گا کہ اخلاق کی حوصلہ افزائی، یا یہ کہ سول ذمہ داری کو جنم دیتا ہے؛&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;تم، نقصان کو غیر فعال، overburden، یا ہمارے سرور یا نیٹ ورک کو نقصان پہنچانا، یا ویب سائٹ ویلیو کیلکولیٹر خدمات کے کسی بھی دوسری پارٹی کے استعمال اور لطف اندوزی کے ساتھ مداخلت کر سکتے ہیں کہ کسی بھی طریقے سے ویب سائٹ ویلیو کیلکولیٹر سروسز استعمال نہیں کر سکتے.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;تم ہیکنگ، پاس ورڈ کی کان کنی یا کسی بھی دوسرے ذرائع سے، ویب سائٹ کی قیمت کیلکولیٹر سروسز، صارف اکاؤنٹس، کمپیوٹر سسٹمز یا نیٹ ورک کے کسی غیر مجاز رسائی حاصل کرنے کی کوشش نہیں کریں گے. ہم اس رزق کی خلاف ورزی روکنے کے لئے اور سروس کی ان شرائط کو نافذ کرنے کی کوئی قانونی اور تکنیکی علاج لگ سکتے ہیں.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;یوزر کی ذمہ داری&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر معلومات کا ایک جمع کے طور پر کام. صارف کے تیار کردہ مواد کی ویب سائٹ ویلیو کیلکولیٹر کے مشورہ، آراء، رائے یا عقائد کی نمائندگی نہیں کرتا.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر تبصرے، تصاویر، ویڈیوز، تیسری پارٹی کی ویب سائٹس، کاروبار طریقوں اور رازداری کی پالیسیوں کے لنکس بھی شامل صارف کے تیار کردہ معلومات کے مواد کے لئے ذمہ دار نہیں ہے. ویب سائٹ کا یا خدمات پر صارف کے تیار کردہ مواد کی شمولیت سے کسی بھی توثیق یا ویب سائٹ ویلیو کیلکولیٹر کے ساتھ کسی بھی وابستگی مطلب یہ نہیں ہے.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;سائٹ اور سروسز تک رسائی میں، آپ کو آپ کو ناگوار یا نامناسب غور کریں کہ مواد کے سامنے جا سکتی ہیں. آپ اپنے لیے سہارا سائٹ اور سروسز کا استعمال بند کرنے کے لئے ہے کہ اتفاق کرتا ہوں.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;اضافی شرائط&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ تک رسائی حاصل کرنے کی قیمت کیلکولیٹر کی طرف سے، آپ کو شماریاتی مقاصد کے لئے تلاش مجموعی اور سروسز، سائٹ اور دوسری صورت میں ہمارے کاروبار کے سلسلے میں کے سلسلے میں اس کا استعمال کرنے کے لئے ہمیں اور دوسروں کرنے کی اجازت دینے کی ہیں.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر ایک اٹارنی کلائنٹ تعلق پیدا نہیں کرتا لنکس میں آپ کی تالیف کے لئے ایک لائسنس معاہدے منسلک کرنے کے لئے کی صلاحیت کے ساتھ آپ کو فراہم کرنے، اس لئے قانونی خدمات فراہم کرتے ہیں، اور یہ نہیں ہے. لائسنس معاہدہ اور تمام متعلقہ معلومات کو ایک &quot;کے طور پر ہے&quot; کی بنیاد پر فراہم کی جاتی ہیں.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر لائسنس معاہدہ حوالے کوئی ذمہ داری قابل قبول کرتا ہے اور معلومات فراہم کی اور ان کے استعمال کے نتیجے میں،، حد کے بغیر کسی بھی، جنرل خصوصی، آخشنگک یا نتیجے میں نقصانات بھی شامل ہیں، نقصانات کے لئے تمام ذمہ داری سے دستبرداری کا اعلان.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر واضح طور پر تیسری پارٹیوں کو غیر فعال یا دوسری صورت میں اس تک رسائی کو محدود کرنے کی کوئی ذمہ داری کے تحت رسائی یا عوامی مواد کا استعمال اور ہے جس کے ذریعے طریقے یا حالات کی ذمہ دار نہیں ہے.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر سائٹ اور سروسز کی طرف سے آپ کی ذاتی معلومات کو دور کرنے کے لئے کی صلاحیت کے ساتھ فراہم. یہ صلاحیت دوسروں بنا دیا ہے ہو سکتا ہے کہ کاپیاں یا ہم بیک اپ مقاصد کے لئے بنایا گیا ہو سکتا ہے کہ کاپیوں میں توسیع نہیں کرتا.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر استعمال کرنے 6. لائسنس&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;مندرجہ ذیل شرائط و ضوابط کی ویب سائٹ کی قیمت کیلکولیٹر سروسز کے آپ کے استعمال کے حکومت. اس سے آپ کو اور ویب سائٹ کی قیمت کیلکولیٹر کے درمیان ایک لائسنس معاہدہ (&quot;معاہدہ&quot;) ہے. (&quot;ویب سائٹ ویلیو کیلکولیٹر&quot;). ویب سائٹ ویلیو کیلکولیٹر سروسز تک رسائی حاصل کرنے کی طرف سے، آپ کو آپ کو پڑھا ہے کہ، مندرجہ ذیل شرائط و ضوابط کو سمجھنے اور قبول کرتے ہیں تسلیم کرتے ہیں. ایونٹ میں آپ سے اتفاق نہیں کرتے اور ان شرائط و ضوابط کے پابند نہیں کرنا چاہتا، آپ کے پاس کوڈ کو تباہ کرنے اور ویب سائٹ کی قیمت کیلکولیٹر خدمات کے تمام مزید استعمال سے باز.&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;لائسنس دینے&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;&lt;br&gt;&lt;/b&gt;&lt;/div&gt;&lt;div&gt;&lt;b&gt;ویب سائٹ ویلیو کیلکولیٹر گرانٹ آپ کو (یا تو کے لئے آپ کو انفرادی طور پر یا آپ کام جن کے لئے کمپنی) وقت یا سیشن جہاں کی مدت کے دوران ایک کمپیوٹر پر آپ کی اپنی ذاتی یا کاروباری مقاصد کے لئے مکمل طور پر ویب سائٹ کی قیمت کیلکولیٹر سروسز تک رسائی حاصل کرنے کے لئے ایک غیر خصوصی لائسنس آپ چاہے ایک لیپ ٹاپ کمپیوٹر، معیاری کمپیوٹر یا ایک کثیر صارف کے نیٹ ورک (ایک &quot;کمپیوٹر&quot;). ہم ویب سائٹ کی قیمت کیلکولیٹر خدمات کمپیوٹر پر استعمال میں آپ تو ہیں پر غور کرنے کے ساتھ منسلک ایک کارگاہ کے اسباب کی طرف (ویب سائٹ ویلیو کیلکولیٹر سروسز کے ساتھ تعامل فی الحال ویب سائٹ ویلیو کیلکولیٹر سروسز کہ کمپیوٹر کی عارضی میموری یا &quot;رام&quot; میں بھری ہوئی ہیں جب استعمال کر رہے ہیں اور آپ کو اپ لوڈ کریں، کے ساتھ بات چیت کرتے وقت، نظر ثانی یا ویب سائٹ ویلیو کیلکولیٹر کی خدمات کے ذرائع کی طرف سے ویب سائٹ ویلیو کیلکولیٹر کے سرورز پر ان پٹ کی معلومات. ویب سائٹ کی قیمت کیلکولیٹر تمام ذخائر حقوق اظہار اس کے ساتھ ساتھ حاصل کی جاچکی نہیں&lt;/b&gt;&lt;/div&gt;');

ALTER TABLE `sitemaps` ADD `websiteLimit` INT NOT NULL AFTER `id`;

UPDATE `sitemaps` SET `websiteLimit`='100';

ALTER TABLE `sitemaps` ADD `marketStatus` INT NOT NULL AFTER `contactStatus`;

ALTER TABLE `sitemaps` ADD `otherFilesNames` VARCHAR(200) NOT NULL AFTER `filename`;

ALTER TABLE `websiteStats` DROP `id`;

DROP TABLE `license`;

ALTER TABLE `contentSettings` DROP `layout`;

ALTER TABLE `contentSettings` ADD `marketplaceStatus` INT NOT NULL DEFAULT '1' AFTER `topWebStatus`;