<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

require 'includes/NEXstats.php';

include "includes/captcha/captcha.php";

$_SESSION['captcha'] = simple_php_captcha();

$key = sha1(microtime());

$_SESSION['csrf_updatestats']=$key;

if(trim($_GET['sortByRecent']=="pageRank"))
{
	$_SESSION['sortByRecent']='googlePageRank';
}
else if(trim($_GET['sortByRecent']=="alexaRank"))
{
	$_SESSION['sortByRecent']='alexaRank';
}
else if(trim($_GET['sortByRecent']=="backlinks"))
{
	$_SESSION['sortByRecent']='backLinks';
}
else if(trim($_GET['sortByRecent']=="pageSpeed"))
{
	$_SESSION['sortByRecent']='pageSpeed';
}
else if(trim($_GET['sortByRecent']=="domainAuthority"))
{
	$_SESSION['sortByRecent']='domainAuthority';	
}
else if(trim($_GET['sortByRecent']=="bounceRate"))
{
	$_SESSION['sortByRecent']='bounceRate';
}
else if(trim($_GET['sortByRecent']=="dateUpdated"))
{
	$_SESSION['sortByRecent']='dateUpdated';
}

if(isset($_GET['sortOrderRecent']) && trim($_GET['sortOrderRecent'])=='asc')
{
	$_SESSION['sortOrderRecent']='ASC';
}
else
{
	$_SESSION['sortOrderRecent']='DESC';
}

$sortBy = $_SESSION['sortByRecent'];

$sortOrder = $_SESSION['sortOrderRecent'];

if(!isset($_SESSION['sortByRecent']))
{
	$_SESSION['sortByRecent']='dateUpdated';
}

if(!isset($_SESSION['sortOrderRecent']))
{
	$_SESSION['sortOrderRecent']='DESC';
}
	
if(!recentWebStatus() && recentWebLimit()>0)
header("Location: " . rootPath());

$limit=recentWebLimit();

$slug = 'recent';

$currentPage = (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page']>0) ? ((int) mres($_GET['page'])) : 1;

$lastPage = ceil(totalStats()/recentWebLimit());

$nextPage = ($currentPage < $lastPage) ? $currentPage+1 : $currentPage;

$prevPage = ($currentPage > 1) ? $currentPage+1 : $currentPage;

$adsInfo = getAdsInfo();

$socialInfo = getSocialInfo();

$key = sha1(microtime());

include "includes/header.php";
?>

	<title><?php echo($language['recently_checked_websites'] . " " . $language['dash-page'] . " " . $currentPage); ?></title>
	<meta name="description" content="<?php echo($language['recent_websites_meta_description']); ?>" />
	<meta name="keywords" content="<?php echo($language['recent_websites_meta_keywords']); ?>" />
	
	<meta name="twitter:card" content="<?php echo($language['recently_checked_websites']); ?>" />
	<meta name="twitter:site" content="@<?php echo($socialInfo['twitter']); ?>">
	<meta name="twitter:title" content="<?php echo($language['recently_checked_websites'] . " " . $language['dash-page'] . " " . $currentPage); ?>" />
	<meta name="twitter:description" content="<?php echo($language['recent_websites_meta_description']); ?>" />
	<meta name="twitter:creator" content="@<?php echo($socialInfo['twitter']); ?>">
	<meta name="twitter:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>" />
	<meta property="og:title" content="<?php echo($language['recently_checked_websites']); ?> - Page <?php echo($currentPage); ?>" />
	<meta property="og:type" content="article" />
	<meta property="og:url" content="<?php echo(currentPageURL()); ?>" />
	<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>" />
	<meta property="og:description" content="<?php echo($language['recent_websites_meta_description']); ?>" /> 
	<meta property="og:site_name" content="<?php echo(getMetaTitle()); ?>" />
	
<?php
include "includes/header_under.php";
?>
<div class="clearfix"></div>
	<div class="container">
		<div class="row">
			<div class="container container-pad" id="property-listings">
				<div class="row">
					<?php if(isRTLLayout()) { ?>
					<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 col-lg-push-4">
					<?php } else { ?>
					<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
					<?php } ?>
						<div class="brdr bgc-fff pad-10 box-shad property-listing web-lists-title">
							<span class="title">
								<?php echo($language['recently_checked_websites']); ?>
							</span>
							<span class="sub-title">
								<?php echo($language['most_recent_websites']); ?>
							</span>
							<?php if(rssEnable() && totalStats()) { ?>
							<?php if(isRTLLayout()) { ?>
							<a class="pull-left hidsen-xss" href="<?php echo(rootPath()); ?>/rss/recent">
								<i class="fa fa-rss fa-3"></i>
							</a>
							<?php } else { ?>
							<a class="pull-right hidsen-xss" href="<?php echo(rootPath()); ?>/rss/recent">
								<i class="fa fa-rss fa-3"></i>
							</a>
							<?php } ?>
							<?php } ?>
						</div>
						<br>
						<div class="form-group my-tabs-collapse visible-xs">
							<span class="transition"><?php echo $language['sort_by'] ?>
								<i class="fa fa-chevron-down"></i>
							</span>
						</div>
						<div class="asc-desc-btn visible-xs">
							<a href="<?php echo rootPath() ?>/recentSortOrder/asc" class="btn btn-default btn-sm <?php echo ($_SESSION['sortOrderRecent']=='ASC' ? 'active' : "") ?>" data-toggle="tooltip" data-placement="top" title="Ascending Order">
								<span class="fa fa-arrow-up"></span>
							</a>
							<a href="<?php echo rootPath() ?>/recentSortOrder/desc" class="btn btn-default btn-sm <?php echo ($_SESSION['sortOrderRecent']=='DESC' ? 'active' : "") ?>" data-toggle="tooltip" data-placement="top" title="Descending Order">
								<span class="fa fa-arrow-down"></span>
							</a>
						</div>
						<div id="my-tabs" class="my-tabs pull-left">
							<ul>
								<li class="hidden-xs">
									<a>
										<strong><?php echo $language['sort_by'] ?>: </strong>
									</a>
								</li>
								<li class="<?php echo ($_SESSION['sortByRecent']=='dateUpdated' ? 'active' : "") ?>"> 
									<a href="<?php echo rootPath() ?>/recentSortBy/dateUpdated"><?php echo $language['date'] ?></a>
								</li>
								<li class="<?php echo ($_SESSION['sortByRecent']=='googlePageRank' ? 'active' : "") ?>"> 
									<a href="<?php echo rootPath() ?>/recentSortBy/pageRank"><?php echo $language['page_rank'] ?></a>
								</li>
								<li class="<?php echo ($_SESSION['sortByRecent']=='alexaRank' ? 'active' : "") ?>">
									<a href="<?php echo rootPath() ?>/recentSortBy/alexaRank"><?php echo $language['alexa_rank'] ?></a>
								</li>
								<li class="<?php echo ($_SESSION['sortByRecent']=='backLinks' ? 'active' : "") ?>">
									<a href="<?php echo rootPath() ?>/recentSortBy/backlinks"><?php echo $language['backlinks']?></a>
								</li>
								<li class="<?php echo ($_SESSION['sortByRecent']=='pageSpeed' ? 'active' : "") ?>">
									<a href="<?php echo rootPath() ?>/recentSortBy/pageSpeed"><?php echo $language['page_speed']?></a>
								</li>
								<li class="<?php echo ($_SESSION['sortByRecent']=='domainAuthority' ? 'active' : "") ?>">
									<a href="<?php echo rootPath() ?>/recentSortBy/domainAuthority"><?php echo $language['domain_authority'] ?></a>
								</li>
								<li class="<?php echo ($_SESSION['sortByRecent']=='bounceRate' ? 'active' : "") ?>">
									<a href="<?php echo rootPath() ?>/recentSortBy/bounceRate"><?php echo $language['bounce_rate'] ?></a>
								</li>
							</ul>
							<div class="asc-desc-btn hidden-xs">
								<span>
									<a href="<?php echo rootPath() ?>/recentSortOrder/asc" class="btn btn-default btn-md <?php echo ($_SESSION['sortOrderRecent']=='ASC' ? 'active' : "") ?>" data-toggle="tooltip" data-placement="top" title="Ascending Order">
										<i class="fa fa-arrow-up"></i>
									</a>
								</span> 
								<span>
									<a href="<?php echo rootPath() ?>/recentSortOrder/desc" class="btn btn-default btn-md <?php echo ($_SESSION['sortOrderRecent']=='DESC' ? 'active' : "") ?>" data-toggle="tooltip" data-placement="top" title="Descending Order">
										<i class="fa fa-arrow-down"></i>
									</a>
								</span>
							</div>
						</div>
						<br>
					<?php
					$startResult = ($currentPage-1)*$limit;
					$arrayData = fetchRecentResultsArray($currentPage,$startResult,$limit);
					unset($arrayData[count($arrayData)-1]);
					$count = $startResult+1;
					$totalRows = count($arrayData);
					if($totalRows) {
					foreach($arrayData as $row) {
					?>
						<div class="brdr bgc-fff pad-10 box-shad btm-mrg-20 property-listing websites-list">
							<div class="media">
							<?php if(isRTLLayout()) {?>
								<a class="pull-right" href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent">
								<img src="<?php echo(rootPath()) ?>/static/images/blank.png" alt="<?php echo($row['url']); ?>" class="img-responsive brdr" data-echo="<?php echo(pagePeekerURL()); ?>/v2/thumbs.php?size=x&amp;url=<?php echo($row['url']); ?>"></a>
								<?php } else { ?>
								<a class="pull-left" href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent">
								<img src="<?php echo(rootPath()) ?>/static/images/blank.png" alt="<?php echo($row['url']); ?>" class="img-responsive brdr" data-echo="<?php echo(pagePeekerURL()); ?>/v2/thumbs.php?size=x&amp;url=<?php echo($row['url']); ?>"></a>
								<?php } ?>
								<div class="clearfix visible-sm"></div>
								<div class="media-body fnt-smaller">
									<h4 class="media-heading">
										<img alt="<?php echo($row['url']); ?>" src="http://www.google.com/s2/favicons?domain=http://<?php echo($row['url']); ?>"/> <a href="<?php echo(rootPath() . "/" . $row['url']); ?>.html">www.<?php echo(trim_string($row['url'])); ?></a>
									</h4>
									<div class="table-responsive hidden-sm mrg-btm-0">
										<ul class="list-inline mrg-0 btm-mrg-10 clr-535353">
											<li>
												<img alt="<?php echo($language['page_rank']); ?>" src="<?php echo(rootPath()) ?>/static/images/google.png"> 
												<?php echo($language['page_rank']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-success pull-left">
												<?php } else { ?>
												<span class="label label-success">
												<?php } ?>
													<?php echo($row['googlePagerank']); ?>/10
												</span>
											</li>
											<li style="list-style: none">|</li>
											<li>
												<img alt="<?php echo($language['alexa_rank']); ?>" src="<?php echo(rootPath()); ?>/static/images/alexa.gif"> 
												<?php echo($language['alexa_rank']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-primary pull-left">
												<?php } else { ?>
												<span class="label label-primary">
												<?php } ?>
													<?php echo(numberFormat($row['alexaRank'])); ?>
												</span>
											</li>
											<li style="list-style: none">|</li>
											<li>
												<img alt="<?php echo($language['backlinks']); ?>" src="<?php echo(rootPath()); ?>/static/images/links.png"> 
												<?php echo($language['backlinks']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-success pull-left">
												<?php } else { ?>
												<span class="label label-success">
												<?php } ?>
													<?php echo(numberFormat($row['backLinks'])); ?>
												</span>
											</li>
										</ul>
									</div>
									<p class="hidden-xs">
										<?php echo(getDomainDescription($row['url'],$language)); ?>
									</p>
									<img alt="worth" src="<?php echo(rootPath()) ?>/static/images/worth.png"> <span>
										<a href="<?php echo(rootPath() . "/" .$row['url']); ?>.html" target="_parent"><?php echo(convert_currency($row['worth'])); ?> </a>
									</span>
								</div>
							</div>
						</div>
													
						<?php } } 
						
						else { ?>
						
						<div class="brdr bgc-fff pad-10 box-shad property-listing web-lists-error" style="height: 570px;">
							<span class="error" style="margin-top: 30vh;">
								<?php echo($language['currently_no_stats_to_display']); ?>								
							</span>
						</div>
						
						<?php } 
						genPagination($currentPage,$lastPage,$prevPage,$nextPage,$slug,$language);
						if($adsInfo['leaderboardAdStatus']) { ?>
						<div class="clearfix"></div>
						<div class="ad-tray-728 <?php echo ($adsInfo['leaderboardAdResponsiveStatus'] ? "" : "hidden-xss") ?>">
							<?php echo($adsInfo['leaderboardAd']); ?>
						</div>
						<?php } ?>
					</div>
					<?php if(isRTLLayout()) { ?>
					<div class="col-lg-4 col-lg-pull-8 visible-lg sidebar-main sidebar-main-mrg">
					<?php } else { ?>
					<div class="col-lg-4 visible-lg sidebar-main sidebar-main-mrg">
					<?php } ?>
						<?php include 'includes/sidebar.php'; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php
include "includes/footer.php";
?>