<?php
if (!isset($_SESSION)) session_start();
require "config/config.php";
require "includes/functions.php";

$rootpath = rootPath();
$currentPageURL = currentPageURL();
$limit = rssLimit();

if (isset($_GET['type']) && trim($_GET['type']) == "top") {

	$type = "top";
	$query = "SELECT * FROM `stats` WHERE `status`='1' ORDER BY `worth` DESC LIMIT $limit";
	
} else if (isset($_GET['type']) && trim($_GET['type']) == "recent") {

	$type = "recent";	
	$query = "SELECT * FROM `stats` WHERE `status`='1' ORDER BY `id` DESC LIMIT $limit";
	
}
else if (isset($_GET['type']) && trim($_GET['type']) == "sale") {

	$type = "sale";	
	
	$categoryPermalink=trim($_GET['permalink']);
	
	$categoryId=categoryIdByPermalink($categoryPermalink);
	
	$query = "SELECT a.*,b.* FROM `stats` a,`userWebsites` b WHERE a.`url`=b.`url` AND b.`forSale`='1' AND b.`status`='1' AND b.`adminAllow`='1' AND b.`cid`='$categoryId' LIMIT $limit";
	
}
 else if (isset($_GET['type']) && trim($_GET['type']) == "tags") {
	
	if (isset($_GET['tag']) && trim($_GET['tag']) != "") {
		
		$tag = $_GET['tag'];
		$type = "tags";
		$query = "SELECT * FROM `stats` WHERE `status`='1' AND (`url` LIKE '%$tag%' OR `metaTitle` LIKE '%$tag%' OR `metaKeywords` LIKE '%$tag%' OR `metaDescription` LIKE '%$tag%') ORDER BY case WHEN `url` LIKE '%$tag%' THEN 1 WHEN `metaTitle` LIKE '%$tag%' THEN 2 WHEN `metaKeywords` LIKE '%$tag%' THEN 3 WHEN `metaDescription` LIKE '%$tag%' THEN 4 ELSE 5 END LIMIT $limit";
	} else {
		
		header("Location: " . rootpath());
		exit();
	}
} else {

	$type = "recent";	
	$query = "SELECT * FROM `stats` WHERE `status`='1' ORDER BY `id` DESC LIMIT $limit";
}

if (!rssEnable())
header("Location: " . rootpath());
header("Content-type: text/xml");

echo 
"<?xml version='1.0' encoding='UTF-8' ?>
<feed xml:lang='en-US' xmlns='http://www.w3.org/2005/Atom'>
<link rel='self' href='$currentPageURL' type='application/rss+xml'/>
";
$result = mysqlQuery($query);
$metaTitle = rssFeedEncode(getMetaTitle());
if($type == "tags") {
	$utype = $language['all_websites_related_to'];
	$rssTitleAppend = ucwords($tag);
	$rssTitleAppend .= $language['rss'];
} else {
	$utype = ucwords($type);
	$rssTitleAppend = $language['websites_rss_feeds'];
}
$updateDate = rssUpdatedDate();

echo
"<id>
	$rootpath/rss/$type
</id>

<title>
	$utype $rssTitleAppend
</title>

<updated>
	$updateDate
</updated>

<author>
	<name>
		$metaTitle
	</name>
</author>";

while ($array = mysql_fetch_array($result)) {
	$id = $array['id'];
	$url = $array['url'];
	$worth = $array['worth'];
	$longDescription = $array['longDescription'];
	$title = rssFeedEncode(ucfirst($array['url']) . " " . $language['seo_stats_worth_and_analysis']);
	
	$image = rssFeedEncode("
	<a href='$rootpath/$url.html'>
	<img alt='$url' width='400' height='300' src='http://free.pagepeeker.com/v2/thumbs.php?size=x&url=$url' />
	</a>
	<br />");
	$description = $image . rssFeedEncode($longDescription);
	$date = $array['dateUpdated'];
	$date = date(DATE_RFC3339, strtotime($date));
	
	echo
	"<entry>
	
		<title>
			$title
		</title>
		
		<link rel='alternate' type='text/html' href='$rootpath/$url.html'/>
		
		<content type='html'>
			$description
		</content>
		
		<id>
			$rootpath/$url.html
		</id>
		
		<updated>
			$date
		</updated>
		
	</entry>\n";
}
echo 
"</feed>";
?>