<?php
include "../../config/config.php";

include "../../includes/functions.php";

$json = file_get_contents('../../language/'.$_SESSION['language'].'.php');

$language=json_decode($json, true);
?>

$(".check_captcha").click(function() {
	var captcha_response = $("#captcha_field").val().trim();
	var captcha_img = $("#captcha_img").val().trim();
	var action = $("#cap_action").val().trim();
	if (captcha_response != "") {
		$.ajaxq('ajaxCallsCaptcha', {
			type: "POST",
			queue: false,
			url: "<?php echo(rootPath()); ?>/includes/checkCaptcha.php",
			data: {
				'captcha_response': captcha_response,
				'captcha_img': captcha_img
			},
			success: function(server_response) {
				if (server_response == "0") {
					$(".captcha_error").show();
					$("#captcha_field").focus();
				} else if (server_response == "1") {
					if (action == 'stats') calculate_stats();
					else if (action == 'update') update_stats();
				}
			}
		});
	}
});

$("#captcha_field").keypress(function(e) {
	if (e.which == 13) {
		$(".check_captcha").click();
	}
});

function prograssbar_width(total, unit) {
	var increment = Math.round((unit * 100) / total);
	document.getElementById("progress_bar").style.width = increment + '%';
}

$("#d_name").keypress(function(e) {
	if (e.which == 13) {
		$(".type").click();
	}
});

$("#captcha_field").keyup(function() {
	$(".captcha_error").hide();
});

$(".type").click(function() {
	$("#cap_action").val("stats");
	var url = $("#d_name").val();
	url = url.toLowerCase();
	url = url.replace('http://', '').replace('https://', '').replace('www.', '').split(/[/?#]/)[0];
	$("#d_name").attr("disabled", "disabled");
	$(".type").attr("disabled", "disabled");
	var csrf = $.cookie('csrf');
	$.ajaxq('ajaxCallsStats', {
		type: "POST",
		queue: true,
		url: "<?php echo(rootPath()); ?>/includes/stats.php",
		data: {
			'url': url,
			'csrf': csrf,
			'parameter': 'validate'
		},
		success: function(remoteResponse) {
			if (remoteResponse == '1') {
				$('#tooltip-error').fadeOut("fast");
				$(".msg-bg").show();
				<?php if (captchaStatsStatus()) { ?>
					$(".captcha").show();
					$("#captcha_field").focus();
				<?php } else { ?>
					calculate_stats();
				<?php } ?>
			} else if (remoteResponse == '2') {
				var url = $("#d_name").val();
				url = url.toLowerCase();
				url = url.replace('http://', '').replace('https://', '').replace('www.', '').split(/[/?#]/)[0];
				window.location.assign("<?php echo(rootPath()); ?>/" + url + ".html");
			} else {
				$('#tooltip-error').fadeIn("fast");
				$("#d_name").removeAttr("disabled");
				$(".type").removeAttr("disabled");
			}
		}
	});
});

$("#close_captcha").click(function() {
	$(".msg-bg").hide();
	$(".captcha").hide();
	$("#captcha_field").val("");
	$(".captcha_error").hide();
	$("#d_name").removeAttr("disabled");
	$(".type").removeAttr("disabled");
});

$(".search-bar").keyup(function() {
	$('#tooltip-error').fadeOut("fast");
});

$("body").click(function() {
	$('#tooltip-error').fadeOut("fast");
});

function calculate_stats() {
	$(".captcha").hide();
	$("#captcha_field").val("");
	$(".captcha_error").hide();
	var url = $("#d_name").val();
	url = url.toLowerCase();
	url = url.replace('http://', '').replace('https://', '').replace('www.', '').split(/[/?#]/)[0];
	var csrf = $.cookie('csrf');
	$.ajaxq('ajaxCallsStats', {
		type: "POST",
		queue: false,
		url: "<?php echo(rootPath()); ?>/includes/stats.php",
		data: {
			'url': url,
			'csrf': csrf,
			'parameter': 'validateURL'
		},
		success: function(remoteResponse) {
			console.log('validateURL Response ' + remoteResponse);
			if (remoteResponse == '1') {
				$(".msg-bg").show();
				$(".msg").fadeIn();
				var capitalized = url.replace(/^[a-z]/, function(m) {
					return m.toUpperCase()
				});
				$(".headerOfTableText").html("<?php echo($language['calculating_stats']); ?> <span class='hidden-xs'><?php echo($language['for']); ?> <img class='stats-faveicon' src='http://www.google.com/s2/favicons?domain=http://" + url + "' /> " + capitalized + "</span>");
				$(".msg-m").html("<li class='fa fa-star-half-o'></li> <?php echo($language['calculating_traffic_stats']); ?>");
				$.ajaxq('ajaxCallsStats', {
					type: "POST",
					queue: true,
					url: "<?php echo(rootPath()); ?>/includes/stats.php",
					data: {
						'url': url,
						'csrf': csrf,
						'parameter': 'trafficStats'
					},
					success: function(remoteResponse) {
						console.log('trafficStats Response ' + remoteResponse);
						prograssbar_width(100, 5);
						$(".msg-m").html("<li class='fa fa-bar-chart-o'></li> <?php echo($language['calculating_search_engines_index_stats']); ?>");
						$.ajaxq('ajaxCallsStats', {
							type: "POST",
							queue: true,
							url: "<?php echo(rootPath()); ?>/includes/stats.php",
							data: {
								'url': url,
								'csrf': csrf,
								'parameter': 'searchEnginesIndex'
							},
							success: function(remoteResponse) {
								console.log('searchEnginesIndex Response ' + remoteResponse);
								prograssbar_width(100, 10);
								$(".msg-m").html("<li class='fa fa-area-chart'></li> <?php echo($language['calculating_website_ranking_stats']); ?>");
								$.ajaxq('ajaxCallsStats', {
									type: "POST",
									queue: true,
									url: "<?php echo(rootPath()); ?>/includes/stats.php",
									data: {
										'url': url,
										'csrf': csrf,
										'parameter': 'rankingStats'
									},
									success: function(remoteResponse) {
										console.log('rankingStats Response ' + remoteResponse);
										prograssbar_width(100, 20);
										$(".msg-m").html("<li class='fa fa-lock'></li> <?php echo($language['calculating_website_safety_stats']); ?>");
										$.ajaxq('ajaxCallsStats', {
											type: "POST",
											queue: true,
											url: "<?php echo(rootPath()); ?>/includes/stats.php",
											data: {
												'url': url,
												'csrf': csrf,
												'parameter': 'websiteSafetyStats'
											},
											success: function(remoteResponse) {
												console.log('websiteSafetyStats Response ' + remoteResponse);
												prograssbar_width(100, 30);
												$(".msg-m").html("<li class='fa fa-pie-chart'></li> <?php echo($language['calculating_seo_stats']); ?>");
												$.ajaxq('ajaxCallsStats', {
													type: "POST",
													queue: true,
													url: "<?php echo(rootPath()); ?>/includes/stats.php",
													data: {
														'url': url,
														'csrf': csrf,
														'parameter': 'seoStats'
													},
													success: function(remoteResponse) {
														console.log('seoStats Response ' + remoteResponse);
														prograssbar_width(100, 50);
														$(".msg-m").html("<li class='fa fa-share-alt'></li> <?php echo($language['calculating_social_media_stats']); ?>");
														$.ajaxq('ajaxCallsStats', {
															type: "POST",
															queue: true,
															url: "<?php echo(rootPath()); ?>/includes/stats.php",
															data: {
																'url': url,
																'csrf': csrf,
																'parameter': 'socialMediaStats'
															},
															success: function(remoteResponse) {
																console.log('socialMediaStats Response ' + remoteResponse);
																prograssbar_width(100, 70);
																$(".msg-m").html("<li class='fa fa-info-circle'></li> <?php echo($language['fetching_domain_information']); ?>");
																$.ajaxq('ajaxCallsStats', {
																	type: "POST",
																	queue: true,
																	url: "<?php echo(rootPath()); ?>/includes/stats.php",
																	data: {
																		'url': url,
																		'csrf': csrf,
																		'parameter': 'domainInformation'
																	},
																	success: function(remoteResponse) {
																		console.log('domainInformation Response ' + remoteResponse);
																		prograssbar_width(100, 80);
																		$(".msg-m").html("<li class='fa fa-hdd-o'></li> <?php echo($language['fetching_web_server_information']); ?>");
																		$.ajaxq('ajaxCallsStats', {
																			type: "POST",
																			queue: true,
																			url: "<?php echo(rootPath()); ?>/includes/stats.php",
																			data: {
																				'url': url,
																				'csrf': csrf,
																				'parameter': 'webServerInformation'
																			},
																			success: function(remoteResponse) {
																				console.log('webServerInformation Response ' + remoteResponse);
																				prograssbar_width(100, 90);
																				$.ajaxq('ajaxCallsStats', {
																					type: "POST",
																					queue: true,
																					url: "<?php echo(rootPath()); ?>/includes/stats.php",
																					data: {
																						'url': url,
																						'csrf': csrf,
																						'parameter': 'calculateWorth'
																					},
																					success: function(remoteResponse) {
																						console.log('calculateWorth Response ' + remoteResponse);
																						prograssbar_width(100, 100);
																						$(".msg-m").html("<li class='fa fa-hdd-o'></li> <?php echo($language['calculating_website_worth']); ?>");
																						window.location.assign("<?php echo(rootPath()); ?>/" + url + ".html");
																					}
																				});
																			}
																		});
																	}
																});
															}
														});
													}
												});
											}
										});
									}
								});
							}
						});
					}
				});
			} else if (remoteResponse == '2') {
				window.location.assign("<?php echo(rootPath()); ?>/" + url + ".html");
			} else if (remoteResponse == '0') {
				$('#tooltip-error').fadeIn("fast");
				$("#d_name").removeAttr("disabled");
				$(".type").removeAttr("disabled");
			}
		}
	});
}

function update_stats() {
	$(".captcha").hide();
	$("#captcha_field").val("");
	$(".captcha_error").hide();
	$(".msg").fadeIn();
	var url = $("#url").val().trim();
	var csrf_updatestats = $.cookie('csrf_updatestats');
	var capitalized = url.replace(/^[a-z]/, function(m) {
	return m.toUpperCase()
	});
	$(".headerOfTableText").html("<?php echo($language['updating_stats']); ?> <span class='hidden-xs'><?php echo($language['for']); ?> <img class='stats-faveicon' src='http://www.google.com/s2/favicons?domain=http://" + url + "' /> " + capitalized + "</span>");
	prograssbar_width(100, 0);
	$.ajaxq('ajaxCallsUpdate', {
		type: "POST",
		queue: true,
		url: "<?php echo(rootPath()); ?>/includes/stats.php",
		data: {
			'url': url,
			'csrf_updatestats': csrf_updatestats,
			'parameter': 'trafficStats'
		},
		success: function(remoteResponse) {
			console.log('trafficStats Response ' + remoteResponse);
			prograssbar_width(100, 5);
			$(".msg-m").html("<li class='fa fa-bar-chart-o'></li> <?php echo($language['updating_search_engines_index_stats']); ?>");
			$.ajaxq('ajaxCallsUpdate', {
				type: "POST",
				queue: true,
				url: "<?php echo(rootPath()); ?>/includes/stats.php",
				data: {
					'url': url,
					'csrf_updatestats': csrf_updatestats,
					'parameter': 'searchEnginesIndex'
				},
				success: function(remoteResponse) {
					console.log('searchEnginesIndex Response ' + remoteResponse);
					prograssbar_width(100, 10);
					$(".msg-m").html("<li class='fa fa-area-chart'></li> <?php echo($language['updating_website_ranking_stats']); ?>");
					$.ajaxq('ajaxCallsUpdate', {
						type: "POST",
						queue: true,
						url: "<?php echo(rootPath()); ?>/includes/stats.php",
						data: {
							'url': url,
							'csrf_updatestats': csrf_updatestats,
							'parameter': 'rankingStats'
						},
						success: function(remoteResponse) {
							console.log('rankingStats Response ' + remoteResponse);
							prograssbar_width(100, 20);
							$(".msg-m").html("<li class='fa fa-lock'></li> <?php echo($language['updating_website_safety_stats']); ?>");
							$.ajaxq('ajaxCallsUpdate', {
								type: "POST",
								queue: true,
								url: "<?php echo(rootPath()); ?>/includes/stats.php",
								data: {
									'url': url,
									'csrf_updatestats': csrf_updatestats,
									'parameter': 'websiteSafetyStats'
								},
								success: function(remoteResponse) {
									console.log('websiteSafetyStats Response ' + remoteResponse);
									prograssbar_width(100, 30);
									$(".msg-m").html("<li class='fa fa-pie-chart'></li> <?php echo($language['updating_seo_stats']); ?>");
									$.ajaxq('ajaxCallsUpdate', {
										type: "POST",
										queue: true,
										url: "<?php echo(rootPath()); ?>/includes/stats.php",
										data: {
											'url': url,
											'csrf_updatestats': csrf_updatestats,
											'parameter': 'seoStats'
										},
										success: function(remoteResponse) {
											console.log('seoStats Response ' + remoteResponse);
											prograssbar_width(100, 50);
											$(".msg-m").html("<li class='fa fa-share-alt'></li> <?php echo($language['updating_social_media_stats']); ?>");
											$.ajaxq('ajaxCallsUpdate', {
												type: "POST",
												queue: true,
												url: "<?php echo(rootPath()); ?>/includes/stats.php",
												data: {
													'url': url,
													'csrf_updatestats': csrf_updatestats,
													'parameter': 'socialMediaStats'
												},
												success: function(remoteResponse) {
													console.log('socialMediaStats Response ' + remoteResponse);
													prograssbar_width(100, 70);
													$(".msg-m").html("<li class='fa fa-info-circle'></li> <?php echo($language['updating_domain_information']); ?>");
													$.ajaxq('ajaxCallsUpdate', {
														type: "POST",
														queue: true,
														url: "<?php echo(rootPath()); ?>/includes/stats.php",
														data: {
															'url': url,
															'csrf_updatestats': csrf_updatestats,
															'parameter': 'domainInformation'
														},
														success: function(remoteResponse) {
															console.log('domainInformation Response ' + remoteResponse);
															prograssbar_width(100, 80);
															$(".msg-m").html("<li class='fa fa-hdd-o'></li> <?php echo($language['updating_web_server_information']); ?>");
															$.ajaxq('ajaxCallsUpdate', {
																type: "POST",
																queue: true,
																url: "<?php echo(rootPath()); ?>/includes/stats.php",
																data: {
																	'url': url,
																	'csrf_updatestats': csrf_updatestats,
																	'parameter': 'webServerInformation'
																},
																success: function(remoteResponse) {
																	console.log('webServerInformation Response ' + remoteResponse);
																	prograssbar_width(100, 90);
																	$.ajaxq('ajaxCallsUpdate', {
																		type: "POST",
																		queue: true,
																		url: "<?php echo(rootPath()); ?>/includes/stats.php",
																		data: {
																			'url': url,
																			'csrf_updatestats': csrf_updatestats,
																			'parameter': 'calculateWorth'
																		},
																		success: function(remoteResponse) {
																			console.log('calculateWorth Response ' + remoteResponse);
																			prograssbar_width(100, 100);
																			$(".msg-m").html("<li class='fa fa-hdd-o'></li> <?php echo($language['updating_website_worth']); ?>");
																			window.location.reload();
																		}
																	});
																}
															});
														}
													});
												}
											});
										}
									});
								}
							});
						}
					});
				}
			});
		}
	});
}

$(".update").click(function() {
	$("#cap_action").val("update");
	$(".msg-bg").show();
	<?php if (captchaStatsStatus()) { ?>
		$(".captcha").show();
		$("#captcha_field").focus();
	<?php } else { ?> 
		update_stats();
	<?php } ?>
});