<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

require 'includes/NEXstats.php';

include "includes/captcha/captcha.php";

$_SESSION['captcha'] = simple_php_captcha();

$key = sha1(microtime());

$_SESSION['csrf_updatestats']=$key;

if(!recentWebStatus() && recentWebLimit()>0)
header("Location: " . rootPath());

$limit=recentWebLimit();

$tag = trim($_GET['tag']);

$tag = str_replace("-", " ", $tag);

if($tag=="") header("Location: " . rootpath());

$slug = 'tags/'.$tag;

$currentPage = (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page']>0) ? ((int) mres($_GET['page'])) : 1;

$lastPage = ceil(taggedCount($tag)/recentWebLimit());

$nextPage = ($currentPage < $lastPage) ? $currentPage+1 : $currentPage;

$prevPage = ($currentPage > 1) ? $currentPage+1 : $currentPage;

$adsInfo = getAdsInfo();

$socialInfo = getSocialInfo();

$key = sha1(microtime());

include "includes/header.php";
?>

	<title>
	<?php echo($language['all_websites_related_to'] . " $tag " . $language['dash-page'] . " " . $currentPage); ?>
	</title>
	
	<meta name="description" content="<?php echo($language['tags_websites_meta_description'] . " " . $tag); ?>" />
	
	<meta name="twitter:card" content="<?php echo($language['all_websites_related_to'] . " $tag "); ?>" />
	<meta name="twitter:site" content="@<?php echo($socialInfo['twitter']); ?>">
	<meta name="twitter:title" content="<?php echo($language['all_websites_related_to'] . " " . $tag . " " . $language['dash-page'] . " " . $currentPage); ?>" />
	<meta name="twitter:description" content="<?php echo($language['tags_websites_meta_description'] . " " . $tag); ?>" />
	<meta name="twitter:creator" content="@<?php echo($socialInfo['twitter']); ?>">
	<meta name="twitter:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>" />
	<meta property="og:title" content="<?php echo($language['all_websites_related_to'] . " " . $tag . " " . $language['dash-page'] . " " . $currentPage); ?>" />
	<meta property="og:type" content="article" />
	<meta property="og:url" content="<?php echo(currentPageURL()); ?>" />
	<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>" />
	<meta property="og:description" content="<?php echo($language['tags_websites_meta_description'] . " " . $tag); ?>" /> 
	<meta property="og:site_name" content="<?php echo(getMetaTitle()); ?>" />
	
<?php
include "includes/header_under.php";
?>
<div class="clearfix"></div>
<div class="msg-bg">
	<div class="col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-sm-6 col-sm-offset-3 msg">
		<div class="panel panel default">
			<div class="panel-heading header_of_table">
				<span class="headerOfTableText"></span>
				<span class="float-right">
					<span class="three-quarters">
						<?php echo $language['loading'] ?>
					</span>
				</span>
			</div>
			<div class="panel-body captcha-body">
				<div class="progress progress-sh progress-striped active">
					<div id="progress_bar" class="progress-bar progress-bar-info progress-percentage" style="width:0px;"></div>
				</div>
				<div class="calculation-progress">
					<span class="msg-m"><?php echo($language['statistics']); ?></span>
				</div>
			</div>
		</div>
	</div>
	<?php if (captchaStatsStatus()) { ?>
	<div class="captcha">
		<div class="panel default">
			<div class="panel-heading header_of_table">
			<?php echo($language['human_verification']); ?>
				<div class="pull-right-captcha">
				<a href="#" id="close_captcha"><span class="label label-danger"><i class="fa fa-times"></i></span></a>
				</div>
			</div>
			<div class="panel-body captcha-body">
				<div class="form-group cap-img">
					<img alt="captcha" src="<?php echo (rootPath() . $_SESSION['captcha']['image_src'] . "?" . time()); ?>" />
				</div>
				<div class="form-group">
					<div class="input-group">
						<input type="text" id="captcha_field" class="form-control search-bar search-bar-cap" placeholder="<?php echo($language['enter_code']); ?>" required />
						<input type="hidden" id="captcha_img" value="<?php echo $_SESSION['captcha']['code']; ?>"  />
						<input type="hidden" id="cap_action" value="update"  />
						<span class="input-group-btn">
							<button type="submit" class="btn btn-info btn-search btn-search-cap theme-color check_captcha"><?php echo($language['check']); ?></button>
						</span>
					</div>
					<label class="label label-danger captcha_error"><i class="fa fa-times"></i> <?php echo($language['invalid_code']); ?></label>
				</div>
			</div>
		</div>
	</div>
<?php } ?>
</div>
<div class="clearfix"></div>
	<div class="container">
		<div class="row">
			<div class="container container-pad" id="property-listings">
				<div class="row">
					<?php if(isRTLLayout()) { ?>
					<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 col-lg-push-4">
					<?php } else { ?>
					<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
					<?php } ?>
						<div class="panel panel-default look-more">
							<div class="panel-body wrapper">
								<div class="title">
								<i class="fa fa-money"></i> <?php echo $language['check_your_website_value'] ?>
								</div>
								<div class="input-group">
									<input autocomplete="off" type="text" class="form-control search-bar" id="d_name" name="url" placeholder="<?php echo($language['enter_website_url']); ?>" required>
									<span class="input-group-btn">
										<button type="submit" class="btn btn-success type"><?php echo($language['check']); ?>!</button>
									</span>
								</div>
								<div id="tooltip-error">
									<p class="centred">
										<i class="fa fa-times-circle"></i> <?php echo($language['invalid_or_restricted_domain']); ?>
									</p>
									<div id="tailShadow"></div>
									<div id="tail1"></div>
									<div id="tail2"></div>
								</div>
							</div>
						</div>
						<div class="brdr bgc-fff pad-10 box-shad property-listing web-lists-title">
							<span class="title">
								<?php echo($language['all_websites_related_to']); ?> <strong><?php echo($tag); ?></strong>
							</span>
							<span class="sub-title">
								<?php echo($language['tags_websites_meta_description'] . " " . $tag); ?>
							</span>
							<?php if(rssEnable() && totalStats()) { ?>
							<?php if(isRTLLayout()) { ?>
							<a class="pull-left hidsen-xss" href="<?php echo(rootPath()); ?>/rss/tags/<?php echo $tag ?>">  
								<i class="fa fa-rss fa-3"></i>
							</a>
							<?php } else { ?>
							<a class="pull-right hidsen-xss" href="<?php echo(rootPath()); ?>/rss/tags/<?php echo $tag ?>">  
								<i class="fa fa-rss fa-3"></i>
							</a>
							<?php } ?>
							<?php } ?>
						</div>
					<?php
					$startResult = ($currentPage-1)*$limit;
					$arrayData = fetchTagResultsArray($tag,$currentPage,$startResult,$limit);
					unset($arrayData[count($arrayData)-1]);
					$count = $startResult+1;
					$totalRows = count($arrayData);
					if($totalRows) {
					foreach($arrayData as $row) {
					?>
						<div class="brdr bgc-fff pad-10 box-shad btm-mrg-20 property-listing websites-list">
							<div class="media">
								<?php if(isRTLLayout()) {?>
								<a class="pull-right" href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent">
								<img src="<?php echo(rootPath()) ?>/static/images/blank.png" alt="<?php echo($row['url']); ?>" class="img-responsive brdr" data-echo="http://free.pagepeeker.com/v2/thumbs.php?size=x&amp;url=<?php echo($row['url']); ?>"></a>
								<?php } else { ?>
								<a class="pull-left" href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent">
								<img src="<?php echo(rootPath()) ?>/static/images/blank.png" alt="<?php echo($row['url']); ?>" class="img-responsive brdr" data-echo="http://free.pagepeeker.com/v2/thumbs.php?size=x&amp;url=<?php echo($row['url']); ?>"></a>
								<?php } ?>
								<div class="clearfix visible-sm"></div>
								<div class="media-body fnt-smaller">
									<h4 class="media-heading">
										<img alt="<?php echo($row['url']); ?>" src="http://www.google.com/s2/favicons?domain=http://<?php echo($row['url']); ?>"/> <a href="<?php echo(rootPath() . "/" . $row['url']); ?>.html">www.<?php echo(trim_string($row['url'])); ?></a>
									</h4>
									<div class="table-responsive hidden-sm mrg-btm-0">
										<ul class="list-inline mrg-0 btm-mrg-10 clr-535353">
											<li>
												<img alt="<?php echo($language['page_rank']); ?>" src="<?php echo(rootPath()) ?>/static/images/google.png"> 
												<?php echo($language['page_rank']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-success pull-left">
												<?php } else { ?>
												<span class="label label-success">
												<?php } ?>
													<?php echo($row['googlePagerank']); ?>/10
												</span>
											</li>
											<li style="list-style: none">|</li>
											<li>
												<img alt="<?php echo($language['alexa_rank']); ?>" src="<?php echo(rootPath()); ?>/static/images/alexa.gif"> 
												<?php echo($language['alexa_rank']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-primary pull-left">
												<?php } else { ?>
												<span class="label label-primary">
												<?php } ?>
													<?php echo(numberFormat($row['alexaRank'])); ?>
												</span>
											</li>
											<li style="list-style: none">|</li>
											<li>
												<img alt="<?php echo($language['backlinks']); ?>" src="<?php echo(rootPath()); ?>/static/images/links.png"> 
												<?php echo($language['backlinks']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-success pull-left">
												<?php } else { ?>
												<span class="label label-success">
												<?php } ?>
													<?php echo(numberFormat($row['backLinks'])); ?>
												</span>
											</li>
										</ul>
									</div>
									<p class="hidden-xs">
										<?php echo(getDomainDescription($row['url'],$language)); ?>
									</p>
									<img alt="worth" src="<?php echo(rootPath()) ?>/static/images/worth.png"> <span>
										<a href="<?php echo(rootPath() . "/" .$row['url']); ?>.html" target="_parent"><?php echo(convert_currency($row['worth'])); ?> </a>
									</span>
								</div>
							</div>
						</div>
													
						<?php } } 
						
						else { ?>
						
						<div class="brdr bgc-fff pad-10 box-shad property-listing web-lists-error" style="height: 570px;">
							<span class="error" style="margin-top: 30vh;">
								<?php echo($language['currently_no_stats_to_display']); ?>								
							</span>
						</div>
						
						<?php } 
						genPagination($currentPage,$lastPage,$prevPage,$nextPage,$slug,$language);
						if($adsInfo['leaderboardAdStatus']) { ?>
						<div class="clearfix"></div>
						<div class="ad-tray-728 <?php echo ($adsInfo['leaderboardAdResponsiveStatus'] ? "" : "hidden-xss") ?>">
							<?php echo($adsInfo['leaderboardAd']); ?>
						</div>
						<?php } ?>
					</div>
					<?php if(isRTLLayout()) { ?>
					<div class="col-lg-4 col-md-4 visible-lg visible-md sidebar-main col-lg-pull-8 sidebar-main-mrg">
					<?php } else { ?>
					<div class="col-lg-4 col-md-4 visible-lg visible-md sidebar-main sidebar-main-mrg">
					<?php } ?>
						<?php include 'includes/sidebar.php'; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php
include "includes/footer.php";
?>