<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

require 'includes/NEXstats.php';

include "includes/captcha/captcha.php";

$_SESSION['captcha'] = simple_php_captcha();

$key = sha1(microtime());

$_SESSION['csrf_updatestats']=$key;

if(!topWebStatus() && topWebLimit()>0)
header("Location: " . rootPath());

$limit = topWebLimit();

$slug = 'top';

$currentPage = (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page']>0) ? ((int) mres($_GET['page'])) : 1;

$lastPage = ceil(totalStats()/topWebLimit());

$nextPage = ($currentPage < $lastPage) ? $currentPage+1 : $currentPage;

$prevPage = ($currentPage > 1) ? $currentPage-1 : $currentPage;

$adsInfo = getAdsInfo();

$socialInfo = getSocialInfo();

$key = sha1(microtime());

include "includes/header.php";
?>
	<title><?php echo($language['top_expensive_websites'] . " " . $language['dash-page'] . " " . $currentPage); ?></title>
	<meta name="description" content="<?php echo($language['top_expensive_websites_meta_description']); ?>" />
	<meta name="keywords" content="<?php echo($language['top_expensive_websites_meta_keywords']); ?>" />
	
	<meta name="twitter:card" content="<?php echo($language['top_expensive_websites']); ?>">
	<meta name="twitter:site" content="@<?php echo($socialInfo['twitter']); ?>">
	<meta name="twitter:title" content="<?php echo($language['top_expensive_websites'] . " " . $language['dash-page'] . " " . $currentPage); ?>">
	<meta name="twitter:description" content="<?php echo($language['top_expensive_websites_meta_description']); ?>">
	<meta name="twitter:site" content="@<?php echo($socialInfo['twitter']); ?>">
	<meta name="twitter:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>">
	<meta property="og:title" content="<?php echo($language['top_expensive_websites'] . " " . $language['dash-page'] . " " . $currentPage); ?>" />
	<meta property="og:type" content="article" />
	<meta property="og:url" content="<?php echo(currentPageURL()); ?>" />
	<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>" />
	<meta property="og:description" content="<?php echo($language['top_expensive_websites_meta_description']); ?>" /> 
	<meta property="og:site_name" content="<?php echo(getMetaTitle()); ?>" />

<?php
include "includes/header_under.php";
?>
<div class="clearfix"></div>
	<div class="container">  
		<div class="row">
			<div class="container container-pad" id="property-listings">
				<div class="row">
					<?php if(isRTLLayout()) { ?>
					<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 col-lg-push-4">
					<?php } else { ?>
					<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
					<?php } ?>
						<div class="brdr bgc-fff pad-10 box-shad property-listing web-lists-title">
							<span class="title">
								<?php echo($language['top_expensive_websites']); ?>
							</span>
							<span class="sub-title">
								<?php echo($language['most_expensive_websites_of_all_the_time']); ?>
							</span>
							<?php if(rssEnable() && totalStats()) { ?>
							<?php if(isRTLLayout()) { ?>
							<a class="pull-left hidsen-xss" href="<?php echo(rootPath()); ?>/rss/recent">
								<i class="fa fa-rss fa-3"></i>
							</a>
							<?php } else { ?>
							<a class="pull-right hidsen-xss" href="<?php echo(rootPath()); ?>/rss/recent">
								<i class="fa fa-rss fa-3"></i>
							</a>
							<?php } ?>
							<?php } ?>
						</div>
					<?php
					$startResult = ($currentPage-1)*$limit;
					$arrayData = fetchTopResultsArray($currentPage,$startResult,$limit);
					unset($arrayData[count($arrayData)-1]);
					$count = $startResult+1;
					$totalRows = count($arrayData);
					if($totalRows) {
					foreach($arrayData as $row) {
					?>
						<div class="brdr bgc-fff pad-10 box-shad btm-mrg-20 property-listing websites-list">
							<div class="media">
								<?php if(isRTLLayout()) {?>
								<a class="pull-right" href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent">
								<img src="<?php echo(rootPath()) ?>/static/images/blank.png" alt="<?php echo($row['url']); ?>" class="img-responsive brdr" data-echo="<?php echo(pagePeekerURL()); ?>/v2/thumbs.php?size=x&amp;url=<?php echo($row['url']); ?>"></a>
								<?php } else { ?>
								<a class="pull-left" href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent">
								<img src="<?php echo(rootPath()) ?>/static/images/blank.png" alt="<?php echo($row['url']); ?>" class="img-responsive brdr" data-echo="<?php echo(pagePeekerURL()); ?>/v2/thumbs.php?size=x&amp;url=<?php echo($row['url']); ?>"></a>
								<?php } ?>
								<div class="clearfix visible-sm"></div>
								<div class="media-body fnt-smaller">
									<h4 class="media-heading">
										<img src="http://www.google.com/s2/favicons?domain=http://<?php echo($row['url']); ?>" alt="<?php echo($row['url']); ?>" /> 
										<a href="<?php echo(rootPath()). "/" . $row['url']; ?>.html"> www.<?php echo(trim_string($row['url'])); ?></a>
									</h4>
									<div class="table-responsive hidden-sm mrg-btm-0 mrg-btm-0">
										<ul class="list-inline mrg-0 btm-mrg-10 clr-535353">
											<li>
												<img src="<?php echo(rootPath()) ?>/static/images/google.png" alt="<?php echo($language['page_rank']); ?>" /> 
												<?php echo($language['page_rank']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-success pull-left">
												<?php } else { ?>
												<span class="label label-success">
												<?php } ?>
													<?php echo($row['googlePagerank']); ?>/10
												</span>
											</li>
											<li style="list-style: none">|</li>
											<li>
												<img src="<?php echo(rootPath()); ?>/static/images/alexa.gif" alt="<?php echo($language['alexa_rank']); ?>" /> <?php echo($language['alexa_rank']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-primary pull-left">
												<?php } else { ?>
												<span class="label label-primary">
												<?php } ?>
													<?php echo($row['alexaRank']); ?>
												</span>
											</li>
											<li style="list-style: none">|</li>
											<li>
												<img src="<?php echo(rootPath()); ?>/static/images/links.png" alt="<?php echo($language['backlinks']); ?>" /> <?php echo($language['backlinks']); ?>: 
												<?php if(isRTLLayout()) { ?>
												<span class="label label-success pull-left">
												<?php } else { ?>
												<span class="label label-success">
												<?php } ?>
													<?php echo(numberFormat($row['backLinks'])); ?>
												</span>
											</li>
										</ul>
									</div>
									<p class="hidden-xs">
										<?php echo(ucwords($row['url'] . " " . $language['has_a_globle_traffic_rank'] . numberFormat($row['alexaRank']) . " " . $language['and_its_google_page_rank_is'] . " " . $row['googlePagerank'] . "/10 " . $language['it_has'] . " " . numberFormat($row['backLinks']) . " " . $language['backlinks_its_estimated_worth_is'] . " " . convert_currency($row['worth']))); ?>.
									</p>
									<img src="<?php echo(rootPath()) ?>/static/images/worth.png" alt="worth" /> 
									<span>
										<a href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent"><?php echo(convert_currency($row['worth'])); ?></a>
									</span>
								</div>
							</div>
						</div>
						<?php } } else { ?>
						
					<div class="brdr bgc-fff pad-10 box-shad property-listing web-lists-error" style="height: 570px;">
							<span class="error" style="margin-top: 30vh;">
								<?php echo($language['currently_no_stats_to_display']); ?>							
							</span>
						</div>
						
						<?php }
						genPagination($currentPage,$lastPage,$prevPage,$nextPage,$slug,$language);
						?>
						<?php if($adsInfo['leaderboardAdStatus']) { ?>
							<div class="clearfix"></div>
							<div class="ad-tray-728 <?php echo ($adsInfo['leaderboardAdResponsiveStatus'] ? "" : "hidden-xss") ?>">
								<?php echo($adsInfo['leaderboardAd']); ?>
							</div>
						<?php } ?>
					</div>
					<?php if(isRTLLayout()) { ?>
					<div class="col-lg-4 col-lg-pull-8 visible-lg sidebar-main sidebar-main-mrg">
					<?php } else { ?>
					<div class="col-lg-4 visible-lg sidebar-main sidebar-main-mrg">
					<?php } ?>
					<?php include 'includes/sidebar.php'; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script src="<?php echo(rootPath()); ?>/static/js/echo.min.js"></script>
	<script>
		echo.init({
		offset: 100,
		throttle: 250,
		unload: false,
		callback: function (element, op) {
		console.log(element, 'has been', op + 'ed')
		}
		});
	</script>
<?php
include "includes/footer.php";
?>